395016356c [SBC-AP] Enhance info column information.
e6c0f03a42 about_dialog (qt): Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
64c32c672c [Thrift] Handle optional elememts in struct.
41b571f9bd [Thrift] Add methods for the 64bit types.
3eb8784140 Use the Wayback Machine for a reference.
ea7a5bd02c Use separate dissectors for LAPD and LAPD-with-Linux-SLL-header.
3ec8338497 BACapp: Fix a loop check.
dcfc57486d IPMI: Add NULL pointer checks.
ab202adb0a Proto tree: Update left arrow navigation behavior.
8ab3060aac Thrift: stop dissection when encountering an unknown/unexpected type
5fcf5b9cc3 Don't assume all packets have time stamps.
1bed07558c WSUG: Minor edits.
d4e974553f Don't assume records all have time stamps and captured lengths.
4f9f1011db Speak of records, not packets.
746511d5ba packet-mq: Fix a wrong offset+Add value in val_str
0420088e9f Update couchbase dissector with collections and delete_time DCP
e4a6383caf Amend the comment with some background for the workaround.
4adb67fc16 AsciiDoc: Convert some comments.
80150df416 Update couchbase dissector with new HELLO feature values
1d999dea5c Qt: Update recent status via a non-blocking connection.
90b3e725d4 Delete an out-of-date comment.
b8121932e9 Have block read routines indicate whether the block should be returned.
8556f65e07 pcapng_read_block() should just return a Boolean.
f53750ac93 pcapng_read_section_header_block() should just return a Boolean.
dabb19572d More AsciiDoc → Asciidoctor updates.
444cac45b2 valid_but_empty_file is a Boolean, so declare it as such.
a44eece9aa Check for read errors by checking for PCAPNG_BLOCK_ERROR.
7b169cdedd Don't treat short reads as errors when checking the file type.
df088de18b Docs: Make our AsciiDoc markup more compatible with AsciiDoctor.
bb2680d9b4 Don't put knowledge about the "is this pcapng" test in the block-reading code.
d447467eb5 MQ: use real string length when calling strip_trailing_blanks()
551f6bdd8c MQ: keep extended value string array sorted
ad76b31c3f Don't install test programs (fuzzshark and dftest)
3aff560761 packet-mq: Fix problem in get_mq_pdu_len
ffc200ade3 [Automatic update for 2018-02-04]
c2debddb2c Don't assume address data is aligned.
676d4668c8 Note that we should show ISBs in the "packet" list.
2385ec8776 Give an IDB and an NRB as examples of the third type of block.
121abba1a2 Have individual plugin CMakeLists.txt files add library dependencies.
ebef0b0dda New symbols.
656c42646a Process all subdirectories of $pkgplugin as directories of plugins.
0c781eeef7 Disallow registration of some block type values for plugins.
3d574a4b2b mqtt: Put msgid and topic in Info column
6fd1531814 Add a comment explaining why err is volatile.
ebb471f211 Clean up addition of FT_IPv{4,6} fields.
d5f52cfaf5 Don't link wiretap plugins with libwireshark.
d8551c4247 Handle separate directories for libwireshark and libwiretap plugins.
2fecc96868 dmp: fix memleaks
2d8606b584 CIP Motion: Support Format Revision 3
a4bb6c2d39 Make a deep copy of our filename in RecentFileStatus.
e3a7676186 quic: fix secret memleaks.
f244742b46 epl: fix map.title memleak.
d8565d8f1b Qt: Keep auto-scroll when starting a new capture
5cb7a729d3 Increase PROTO_PRE_ALLOC_HF_FIELDS_MEM
8604242e8f Qt: Avoid divide-by-zero if missing AUTHORS file
819b8174a9 cli: use SPDX identifiers.
d93db54dc0 capchild: use SPDX identifiers.
e52172c775 Qt: use SPDX identifiers.
e5f4ef0c42 ui: use SPDX identifiers.
d9368545f4 fuzzshark: use SPDX identifier.
45e7297c3a randpkt_core: use SPDX identifiers.
016e407702 codex: use SPDX identifiers.
c55974facc Qt: Add a missing HAVE_LUA guard
6c13f7070c Qt: add initializers in PacketDialog() (CID: 1427679).
bec60fa461 packet-mq: Add support for IMS+TM Struct
0fda778b45 Qt: Fix splash screen "Registering dissectors" message
dc86a285c1 SoupBinTCP: Remove try_conversation_dissector call
8bf837eddc Qt: Always update splash screen on action change
6adc7550a8 Note that /guard:cf requires CMake 3.9 or newer.
4a417149d4 Fix memleak in color_filters_read_globals()
5c511d23e3 RTP: ensure that bta2dp_info and btvdp_info are always initialized
d7be8465b9 Fix endianness of CAN-ETH CAN packet
142c03516e Qt: Show Lua scripts as links in the about box.
d1b1575f6d oss-fuzzshark: try to fix oss-fuzz assert fails.
d25e7885e6 base64: Adjust whitespace for readability
3f93c6e799 json: Adjust whitespace
d4b5943ba8 Qt: Always show the Plugins tab in the about box.
c84b0aeead Qt: More byte view and proto tree fixes.
d3e50fedf7 buffer: add g_assert to all functions.
dd3b82ebc8 oss-fuzzshark: test code to debug some oss-fuzz assert fails.
40f0f6885f TDS: ensure to always initialize tds_encoding_char even when protocol is unknown
0c7bbc7536 Qt: Avoid a potentially large memdup.
b14e32cc77 New dissector Session Multiplex Protocol SMP
66af843eb5 bacapp: make sure to NUL terminate bf_arr.
85fed81b63 ieee80211: various fixes to the 802.11ax support.
8398488b8c IAX2: always initialize src_vformat and dst_vformat
1e05b8c894 [MEGACO] Clear megaco_command between commands.
f23feb339e hsrp: Fix UDP port number for HSRPv6
210db80a54 Qt: fix compilation when building without Lua
f5a8711ef1 Qt: About dialog updates.
47e1798762 Qt: Byte view and proto tree fixes.
55e74ba841 Qt: Write recent before applying profile changes
043b45e840 UI: Rename profiles without delete
eda5c950b6 IO Graph: Add some vector checks.
b81c5ad26f ieee1905: add missing NULL terminatator to ieee1905_reporting_policy_flags[].
18f16c8b93 Qt: Fix crash when no plugins are configured
228a919366 Remove more unused images.
461fb517d1 Qt: Check for a valid capture file in the status bar.
709757e996 radiotap: Refactor some aspects of the radiotap dissector.
fc6c5be229 SIP: Fixed matching of INVITE request to INVITE response.
9d87994b67 Byte view: Mark bytes using an outline.
cdcf9d0817 ieee802154: Allow generic nonce to be passed in CCM* API.
7207c82464 wiretap/merge.c: Fix memory leak, fix description.
c9d98323f6 file.c: Fix read from array index out of bounds.
a584eab239 New RTCP dissector for transport-cc
27ae22bd25 usbdump: Add usbdump wiretap plugin as functional example
94d7500a7d SDP/RTP: Support for "bundled" media.
d328a58fc6 wifi-dpp: A number of further changes from the recent testing.
3dd5574800 Remove some unused images.
42322ac8cf dct2000 wiretap: expect all lines to have exactly 4 subsecond digits.
8342e5f97b codecs: register SBC codec once.
38c0ffe4c6 Avoid #ifdef'ing out translation units
6d29434c3f DNP3: Limit the amount of "empty" objects/fields can be present in a packet.
8333c02731 dct2000: for speed, avoid ws_strtoi32() while reading timestamp
c21b2e7f94 Display JSON in compact form
f8bb0757f3 ieee80211: Implement two more extended IE from IEEE STD 802.11.
67b2851002 radiotap: Mark unknown fields as unknown instead of reserved.
bc36e2a113 cli: free memory on exit in tap-comparestat (found by clang).
907d8ff41f Protect UAT color "datatype" from an empty string
5c12473014 TDS: Dissect TDS4.2 response packet
20d4c7bb62 androiddump: Raise ADB timeout to 2s for slower devices
3d94f624d1 wsutil/filesystem.c: fix memory leak in init_progfile_dir()
1b467b11ad Minor Makefile.am cleanup.
66f85c65d5 plugins: Remove nordic_ble.dll exception
5d1687e449 Rename plugins_scan_dir()
285a0f5a96 Use g_str_has_suffix()
15d9ab22c3 plugins: Use per-library data structures
10b9472659 [Automatic update for 2018-01-28]
21ee658f91 Infiniband: Decode AETH syndrome byte
baca10e725 DCT2000: after profiling, speed up some parts
9972110f31 valgrind-wireshark.sh:  fix typo in usage
ea6c209758 Reset file permissions
557f6a4aed Qt: Translate some about box strings.
98a218dcd3 Snort: speed up parsing of options by avoiding g_snprintf()
31769615bb http2: underscore replaced by dash in static headers name
ad6ab48151 Release notes: We ship Qt 5.9.4 on Windows.
98d1069066 Qt: Allow filter with deprecated syntax as button
4762b78e45 Qt: Remove unused label_folders
4398a92be2 Qt: Simplify files column in about dialog
0d5cbc7303 Added the Proconx CAN-ETH protocol dissector
fb2fa4d776 Get rid of the necessity to use a preference to dissect ERSPAN type I packets.
9be01dc616 Qt 4.8 compatibility fixes
6bd9be470e [PER] Fix the bitmask to calculate the number of bits needed to hold the length.
77a665a75c ZigBee: Fix change 25456 - Wrong attribute ID corrected
8022f12151 gitlab-ci: fix clang repos.
350ca99d17 Qt: Adjust the about box layout.
ba3f29b62f Don't use static GMutexes.
9149af9948 ZigBee: Add remaining attributes from Smart Energy Prepayment cluster
686aad42e9 Minor wireshark-qt.cpp cleanups.
55fbeec607 bootp: DHCP User Class Data iPXE exception
369f8195e8 Qt+WiX: Skip translations.
ae5e83a25c OpenFlow(v5&v6) : Fix RX_PWR/TX_BIAS
50b4ff6db8 CMake: Create directories one at a time.
66a9f27dd1 Qt+WiX: Check windeployqt --list output.
fe00754226 Openflow: Use offset 2 for tx_min/max as they are uint16_t
b3cf908ffe Fix the display of Length and Pad2 in the openflow dissector
ccd2b53f40 byte_view_text (qt): Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
0ef0f4ceb5 Windows: Modify position of compress checkbox in Export Packets dialog
92af82aaa7 CVS pserver: fix infinite loop
fa26a00876 [PFCP] Fixed Outer Header Creation IE
954fd253e4 Add duplicate value_string in check filter
289cbd76d9 wiretap/k12: fix memory leak.
0d584d9fed ui: don't g_assert() in get_args_as_string(), but return empty string for no arguments case.
7e37a7db55 CMake: Compile and link flag updates.
d672ee9372 wslua: fix nstime memory leak after passing unknown encoding to TvbRange_nstime()
cde023c3c5 SDP: Added support for "a=rtcp" and "a=rtcp-mux".
99b7776d5f CMake: Copy multiple data files at a time.
59c958d7cb cvspserver: Add basic cvs pserver protocol dissector
c9a89e29e8 Qt: Add back the "ready to go" startup message.
958ef99edf sharkd: try to fix clang uninitialized value stored to field 'protocol'.
787b93fd07 Docbook: Generate one PDF paper size.
6605d844af QUIC: fix build with older Libgcrypt
7ecf93c833 [MEGACO] Priority value gets displayed as Termitation Id.
5d5482e2e6 USBMS: fix endianness of GET MAX LUN and RESET
c2daa6bc73 LTE RRC: register dissectors for UERadioAccessCapabilityInformation(-NB) and UERadioPagingInformation(-NB)
3a9da2e707 gtk: fix memory leak in profile dialog.
e6eb4815cd gtk: Fix memory error/double free.
862c881318 traffic table: Fix memory leak
6e31943cd4 gtk: Fix memory leak.
257e7d19fd gtk: fix multiple memory leaks in prefs_capture
98305ba621 packet-ieee80211: fix dead store/ dead increment and assignment.
ebc01bcce5 release-notes: Add note about support of 802.11ax
a6ae7f7571 ZigBee: Add a preference to choose ZigBee Smart Energy version used for dissecting
3e14d3b440 ERF: Fix broken erf_open ethernet checking
6358aadfd6 ieee80211: 802.11ax support.
4d639b6f0e tap-httpstat: cast memory instead of reallocate it in glib hash table.
f0e1faac66 QUIC: Add define value for Long Packet Type (Initial, Handshake...)
34a02eb70b QUIC: Remove draft-05 and draft-06
68b20efb49 QUIC: Update IETF draft URL (draft-08)
00a528f123 Qt: Translate files in subdirectories.
145e3a5dc3 Qt: Proto tree fixes
73f5afb75f Qt: Implement ProtoTreeModel::flags.
3efcc9bd53 Qt: Create byte views at the proper zoom level.
064bec8797 CMake: File copy updates.
903c143769 autotools: Rework the plugin Makefiles
47351fb617 Qt: Initialize a struct (found by Coverity)
5242dd48b4 [Automatic update for 2018-01-21]
c440a24b1b wiretap: use SPDX identifiers (partial work).
9e3e02f5e5 wiretap: more SPDX license convertions.
731a901a3e radiotap: Updates to the radiotap dissector to avoid confusion.
655892c0a6 Qt: Force integer font metrics in the byte view.
8d06115dbf ieee1905: Bring AP Metric TLVs into conformance with the SPEC
804c4b1653 Qt: add sanity check in InterfaceTreeCacheModel (found by clang).
24cd7a9a1f Qt: remove leak from PathChooserDelegate (found by clang).
8631ceaefc epl: Correctly display the error for available bytes
3438092b27 file: free memory on exit (found by clang).
6d82ea91fd RVSP: fix typo found by conflict hf
1b5624a718 plugin_if: don't allocate memory and cast it instead.
a8d40532c3 extcap: add g_free (found by clang).
4444561ef8 tap-sctp: change if to switch for a default case (found by clang).
b31cda28f7 tap-wspstat: cast memory instead of allocate.
ceddf70388 wimax (plugins): fix no previous prototype for function 'proto_reg_handoff_wimax' [-Wmissing-prototypes]
1ea4abd838 Be accurate in release notes
5b9e9b3fe3 Don't do pcap heuristics on a pipe.
ecced16299 S1AP: upgrade dissector to v15.0.0
0870d4665d Remove an unnecessary test.
3eb253b748 Use separate pointers for the input expert info and the copy we make.
b0c0490fe0 Don't overwrite the struct wtap_pkthdr; copy and change it instead.
682fe39422 Qt: Fixup a cast.
c5560babbd Qt: return if cf_read_record() fails in PacketDialog (found by clang).
dcacea5c15 glusterfs: Add support for getvolumeinfo procedure
a6e64bfc78 [PFCP] Corrected Header Fields in Report Type IE
8791e0b61f 3GPP NAS: rework PCO loop to better report extra data at the end of the payload
de0872971a cmake: add ps.c to the checkAPI list with the proper path.
2996ef2304 LPP: upgrade dissector to v14.4.0
3a93855b05 Make apply_profile_changes() return a non-const pointer.
be958a7116 X2AP: upgrade dissector to v15.0.0
6efce7db7c Don't cast away constness.
c327f7d599 Constify some pointers.
d9158e680a sharkd: set uninitialized values (found by clang).
afcff2dcd1 sharkd: check for NULL before dereference (found by clang).
48b4b3bdad dcerpc: remove use-after-free (found by clang).
c3e6597f20 file: stop printing packets if 0 columns are asked (found by clang).
e6d47cb7b3 Don't cast away constness if it's not necessary.
a6167ef73d Don't cast away constness if it's not necessary.
eec528cc70 Make a pointer const that has no need not to be const.
ab6d2c6ac3 Don't insist on reading a full buffer from the input file.
0bb501a655 Qt: Fix bits highlighting in the byte view.
0aad2bbc36 Qt: I/O graph fixes.
d86f820206 coap: Change Uri-Path from hidden to generated
d1254247b7 Qt: ByteViewText hover fixes & updates.
34381ed20c stat_tap: don't use-after-free (found by clang).
f3b71f597c Wiretap: Add a missing comma.
2f759ce7a7 Update paths after dissector plugin move.
634ba24b0a capchild: free memory on error.
d77d5c9d20 Qt: add more sanity checks in utils (found by clang).
107a91a8cc Qt: Fix proto tree links and related frames.
96e865b4b8 EtherCAT: Add Mailbox as a string in EtherCAT Frame Types.
5352ef42f9 plugins: Add source tree subfolder for plugin library
a069a4f856 ieee80211: Add support for EAPOL Key MIC lengths other than 16.
a165a80452 dumpcap: remove dead code (CID: 1188011).
e861a11210 ui: check g_malloc return (found by clang scan).
d3c6cdde5b QUIC: fix Padding Frame
9937973431 [VoIP calls] Make ISUP over M3UA work.
6b2764a41e ProtoTree behavior fixes.
e502d933c5 CMake: Remove incorrect comment
ef7d5daf42 Qt: add assert to avoid null dereference (CID: 1427426).
1b9de188ff [SIP] Display tel uri in VoIP calls.
282436a762 Qt: rename index to tab_index to pacify checkAPI.
43833239fc Qt: change obsolete qVariantFromValue into QVariant::fromValue.
56a991710b Bugfix VoipCallsDialog tap handling
2f31016e6c Qt: Expand subtrees when a packet is selected.
e2ab8151b6 QUIC(TLS): Add new error code from draft-07
39e612dee8 radius: Sync with FreeRADIUS
df9044794a Test explicitly against 0 for integers and NULL for pointers, but not booleans.
1d1e511ed9 Add a URL for RFC 1952.
6b4d1cf931 InterfaceFrame: don't use pointers for models
9cc00c5623 Check for gzipped files even if we don't have libz.
c3190d9d70 Fix build with libz not configured in.
2cfceb2700 sharkd: keep filtered data in GHashTable.
2c3c49cd37 ssl: fix reassembly for very small TCP segments
e8089003ca TLS13: update for draft -23 (new version and extensions)
d06b60db71 http2: headers filter with UAT support
9922dc263e firewall_rules: rewrite all the defines (CID: 1158734).
db5d4e10de Fix lldp 802.3br typo
57230a2e8c Qt: Reword text shown when no interfaces displayed
df45d5b1ac extcap: check preference in extcap_ensure_interface().
73f26e4d24 extcap: check preference in extcap_loaded_interfaces().
7bf0620eb5 [Automatic update for 2018-01-14]
ae199f2eb9 Add packet-nr-rrc.h to the list of headers.
c634a73c95 LTE RRC: upgrade dissector to v15.0.1
bd857b6a9c Qt: Use the text "Initializing external capture plugins"
d1db7f1edf NTP: Updated system and peer status codes
98f4122398 Qt: Put all startup time logs in DEBUG_STARTUP_TIME
55553f1a38 Qt: Don't use the term "extcap" interfaces in UI
9dfd17b104 UMTS MAC: protect against an out of bounds access
4fdf793327 PortableApps: Exclude a bunch of files.
e5eb3e480d ieee1905: More changes from the recent bakathon including two more TLVs.
807a6c93d8 netfilter: Make sure our bitmask field arrays are NULL terminated.
777932efc6 make-dissectors depends on copy_cli_dlls.
554d3c9cd2 Qt: fix compilation without pcap.
3fb92333ae Qt: Add some translation hints.
7ff58d9bca ctdb: don't dereference a null ptr (CID: 1427427).
42100cb868 Qt: add info for extcap disabled in main window.
f98cf967bd NTP: Decode data of opcodes 8,9,10,11,12
2d7c2421f6 [Diameter] Add command code 8388637 and 8388638.
b08dc851c7 prefs: init capture_no_extcap.
ac9c89de65 Qt: Add InfoProxyModel
c1301a4862 extcap: add more checks for extcap disabled.
9b705928c2 Lustre: add missing NULL terminator to flags lists
f942ad09f6 Qt: add initializer (CID: 1427425).
4df45ca7ce FP: Removed channels UAT
ddf8d8704d [Thrift] Make it easier to make specific Thrift dissectors
a106c762ef Test: Fix the plugin check.
690f1c3c40 Qt: Adjust About box column sizing.
2aa8260957 wireshark_preference (Qt): fix extra ';' outside of a function is a C++11 extension [-Wc++11-extra-semi]
4e13791a09 LNet: fix memory illegal access reported by Coverity (CID 1427262)
997cf938bd Add message number for wlan eapol 4-way key exchange
a6f58356dc NAS EPS: make some helpers functions static
72edf4e250 Another fix for AT_STRINGZ addresses.
eb5d12c4b9 For AT_STRINGZ, the length *includes* the null terminator.
3d38b87d86 Fix registration.
93ea677ec4 Test: Add a plugin check.
c721763858 Update a comment to reflect current reality.
c1719a8bf3 h223: fix warning related to circuit_id in circuit_chain_lookup
5639b8014a Use an enum for plugin types.
841e24d304 TLS(QUIC): minimal Transport Parameter Length is 22
d122ba3a53 CoAP: Shift block mflag so it is 0/1 instead of 0/8
37e364b241 Improve handling of VOIP VLAN queries and replies.
182112c10d LoRaTap: decode as for UDP
2a368b3ab6 QUIC: Add new error code from draft-08
83e8adccde QUIC: Add PONG frame type from draft-08
85c9780f43 NAS EPS: upgrade dissector to v15.1.1
bcefb0c8e6 Lustre: capitalize comment to please GCC7
5dbc1d8d1c IxVeriWave: Adjust signature timestamp checking.
33708998b4 Fix build with GTK+ and without libsmi and GeoIP.
7c6f5c9172 Qt: refresh interfaces on exit if extcap status has changed.
80cd3859d1 BGP: Resolve AS23456 to AS_TRANS
be143963f6 BGP: Add dissection of data field on BGP NOTIFICATION message (OPEN/Bad Peer AS)
88abff68df NR RRC: add initial dissector based on v15.0.0
fb4953a13c lustre: fix format 'long unsinged int' error
fc9af81a13 wiretap: add a parameter to wtap_init() indicating whether plugins must be loaded
a7e29d8b66 WCP: Add a length check.
369cdcc553 NTP: Update values for opcode
c51560985a Fix tvbparse recursion limit check.
d769b7cb7a lustre: add missing breaks (fix gcc-7 compilation).
3f2f16411f Convert GUI layout preferences to use preference effects.
4e87f6c01a proto: Small code cleanup in proto_register_protocol
5f24a78113 Increase PROTO_PRE_ALLOC_HF_FIELDS_MEM
21c0ba7bfe Update libwireshark0.symbols
22b5ffad86 extcap: add preference to prevent interfaces loading.
0a8d6cf97e LoRaTap/LoRaWAN: Add decode as and fix field types
958374f352 [lustre] Initial Lustre support
7c56f4776b Clean up dissection of "power requested" and "power available" TLVs.
8934ddfe73 mate: check LoAL existence (CID: 1159338).
af0f49e80d Use pcapng as the name of the file format.
94479aded1 Limit tvbparse recursion.
7ec5dead2f Copy preferences to capture options after the preferences are initially loaded.
51e0d22ec6 Do not automatically enable the linux kernel's BPF JIT compiler
aaa980e356 Update the release notes.
7a911f2927 Fix comment, get rid of extra blank line.
69e1bdd62b More information on the Windows Console and escape sequences.
bde402840f androiddump: Fix crash in add_tcpdump_interfaces
0655931f60 Point to the MSDN blog post about 24-bit color support in cmd.exe.
a6a5b552ec Update a comment about Windows Console color support.
15746e5922 Add a mutex for the protocol registration callback name.
7a19320df1 [Thrift] Dissect Thrift over SSL.
b5e744bca2 OSPF: Dissect LS Type bytes of OSPFv3 LS Request
8738b3e45a [Kingfisher] Include extra function types to allow dissection of additional messages
c53412f7db Bugfix the sort order of protocols in Preference dialog.
985f7d023e tetra: Capitalize protocol short name
5699243ce1 chargen: Capitalize protocol short name
e80b40adbe extcap: remove conditional compilation.
6f93baced0 CDP: Resolve 802.2 Protocol type protocols, show IPv6
b3394a76ab ZigBee: Enable heuristic dissection of Tunneling cluster payload
f5f6ceeb66 [Automatic update for 2018-01-07]
e429e9ac7e Do SMB_COM_SEARCH or SMB_COM_FIND results ever have a Unicode file name?
603bb5097d Set captures preferences for PREF_EFFECT_CAPTURE.
7165b60879 Note that the object size type is, in effect, size_t.
2941018a72 WLAN stats: make filter + apply button work
eef3c8434d Add ability for preferences to determine what they can change.
a65391f901 TShark: Fix color handling on Windows.
29798bb8c9 bluetooth: Group Bluetooth dissector preferences
9295535220 RRC: Fix direction values
ae2e9d669b Diameter: fix retrieval of message flags
5a5d9348b0 wireshark_preference.cpp: rework comments to please MSVC2015
3b64fc008f Qt: Fix windows version of Preference Dialog
82b26b686e NAS EPS: upgrade dissector to v15.1.0
c0226ea401 ctdb: check return value from wmem_tree_lookup32_array (CID: 1073824).
f0681d0175 erf: remove redundant check (CID: 1159076).
ae61319385 OpenFlow 1.5: fix port_stats dissector
d19fa31247 [SBC-AP] Update to 3GPP TS 29.168 V14.2.0 (2017-12)
1a07d97fd7 Qt: Add manager for preference dialog
1e16be7556 Qt: Bring back correct profile_status font size
fdfa229793 btsmp: Put <none> in COL_INFO when having no keys
fb9abcf2d4 btatt: Avoid duplicate "Handle:" in COL_INFO
4690aa119c ieee1905: Fix a bunch of issues after testing and spec changes.
3b2e999813 Qt: Byte view recent updates.
96cb041ea3 OpenFlow 1.4: fix port_stats dissector
c29da51613 QUIC: Add Payload (length and data) of PING frame (draft-08)
3a622f9764 QUIC: Dissect Version Negotiation of draft-08
58e4910ee7 QUIC: Display Connection in hex on Short Header too
cc040d88c8 QUIC: Fix Connection ID flag with draft-08
0f3aa8522e Qt: Move sized toolbar images to stock_icons.
dbe9be2f06 Qt: Cleanup cases where QTreeWidgetItem is no longer used
6b22e4e85a Add an exit code to make-dissectors.
dce8682e10 Qt: Reexpand dissector table and enabled protocol trees when dialog is searched.
0b997f3a3a nfs: Add the second version of the Primary Data NFSv4 file handle dissector
8bf24f51cb Pre-commit: Don't force whitespace checks everywhere.
d239da264c Convert preference dialog to use more models.
a79b7986cd Qt: Redesign profile menu in status bar
7ade1695ba [Diameter] Use proto_tree_add_item_ret..() and proto_tree_add_bitmask_with_flags()
ba3830e03b Qt: add conditional compilation in switches.
5a9edf2a91 btatt: Support BBC micro:bit Bluetooth profile
1e05c57cca Qt: Fix capture file properties averages.
51d83583c1 bacapp: Add more enumerated values
8a08237d23 3GPP NAS: upgrade dissector to v15.1.0
e0d04a752a wsutil: return false if NULL is asked as profile name (CID: 1405202).
e7b50f4751 bthci: Update bthci_cmd_appearance_vals
61c6f1a622 [glib-compat] Include <wsutil/glib-compat.h>
c6a065ee7a dcerpc-spoolss: use value_name variable to store string (CID: 1158734).
6bd539d51f wireshark-qt(.cpp): fix no previous declaration for ‘void g_log_message_handler(QtMsgType, const QMessageLogContext&, const QString&)’ [-Wmissing-declarations]
e3ce3a6f79 [SIP] Use proto_tree_add_item_ret_string() to get the method string.
a3857b2f6f QUIC: Enhance *BLOCKED* frame
f1c87809de TLS(QUIC): Enhance MAX_STREAM_ID parameter (from draft-08)
b10179faf2 TLS(QUIC): Add ACK_delay_exponent parameter from draft-07
df6b67d54d QUIC(TLS): Fix length of parameter tree
d1fe22d14e Qt: Use switch/case in MainWindow::captureEventHandler
f71b148edd [BTMESH] Dissect more of Upper transport Layer.
a382ed35fe Qt: Fix CaptureEvent::Reload event handling
4f146fa95f gitlab-ci: install ninja-build using debian script.
5dc7ce6ccc ws_pipe: fix format error for size_t buffer_size
9b4c96334d [NAS-EPS] 5G NAS EPS network feature supported and capability info update.
07e8707d73 wsutil: Add missing include
ea60ed427e packet-mq: Fix after change 25009
3d846aceab btatt: Remove custom UUID dissectors from btatt.handle DecodeAs
d20629e0f0 Build: Fix Ubuntu moc build
5bb763a918 QUIC: use varint for all type (draft-08)
4ac11e0fa1 mq: DEF_VALSB(MQPRI) is still unused
08fda63936 tfshark: Fix arguments to write_pdml_proto_tree
7a2fae2b79 nxp802154: Remove unused code
d383e34408 QUIC: Add new ACK type (0x0e) of draft-08
8c87af9880 QUIC: Add decrypt Handshake Packet
1a7d65d085 TLS(QUIC): update TransportParameter to draft-08
c8c268626c QUIC: Add new STREAM type (0x10 to 0x17) of draft-08
0bde3e96f0 Add ENC_VARINT_QUIC
af6dee3571 Add columns (_ws.col) to output formats json, ek, pdml
487eae3507 packet-mq: Improve display of ID Struct + Segmented Msgs
7dcf57719f androiddump: Support older on-target tcpdump versions
4b7700db4b LNET: Fix gcc 7 compiler complaints
098fbc70ee ws_pipe: provide a null terminated string anyway (CID: 1364684).
9aa42e89c3 dmp: rework build_national_strings() to avoid read/write overrun.
404d004907 IPv6: Add segmentation offload (TSO) support
3d58a16038 TDS: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
296f1f35d8 QUIC: fix build when don't have libgcrypt with AEAD (< 1.6.0)
25a0583ec8 Add dissector for NXP's 802.15.4 sniffer server messages
077124097d ICMP: Resolve Extension Object Class value
564a3fae12 Happy New Year 2018!
3ab56e1c2a sharkd:  Add narrowing cast
9b5e568023 nfapi: Fix spurious checkAPI warnings
1fa22c2ee9 btmesh: replace\convert g_warning
3c35f278b9 nfapi: fix typo, correct expert info message
771e581b94 Debian Packaging: Add new symbol
b9210c72f5 DNP3: Add support for new Group 0 variations
a8088cce88 QUIC: Add decrypt of Initial Packet
1fcc10c17e [lnet] Initial Lustre Network Support
de10174629 transum(plugin) fix typo reponse => response
6f84e1b5f3 Qt: Fixup fieldSelected behavior.
f930710585 [Automatic update for 2017-12-31]
d17c26eafb profinet: add a nested fake variable to avoid null dereference.
5daead33ae ZigBee: Add remaining attributes from Smart Energy Price cluster
3b4aabe818 websocket: All decompressed payloads are same when more than one compressed data payload in a TCP PDU.
998507d327 proto_data.c: Fix bug in p_remove_proto_data.
ea8d0c51b3 proto(.h): fix indent (align...)
5bdd333240 Qt: add check after cast.
c7c5e2abb1 Qt: handle a failed open file the right way (CID: 1159174).
727fac4559 Qt: remove unneeded check (CID: 1415729).
0b124bff9b cip: initialize variable (CID: 1403067).
d5f0157c09 Qt: add initializers (CID: 1412975).
0c4a307ee5 Corrected gcc-7 compilation warning "implicit fallthrough" in BACnet dissector.
d089cca16b Qt: Miscellaneous translation hints.
f31e9b3154 Use gcry_strerror() to get crypt error description.
95bb65ff25 QUIC: Initial draft-08 support
b60a60717f btatt: Skip Units and Members UUIDs in decode-as
ead32b5628 Populate Remote Interfaces with data from recent file
c693522e33 bluetooth: Update Assigned Numbers
c791549a77 No need to remove the old name after a save-with-move; it was, well, *moved*.
9bf40d4a6e Do the right check for "no name resolution information to save".
c5dbcca2e4 If we save a temporary file by copying or writing, remove it when we're done.
26222c96bb nvme-rdma: check return value of find_conversation() (CID: 1398218).
2677b07073 Qt: check preference existence.
fb8b28005f amqp: check return value of conversation_get_proto_data().
422f1c0fb1 Qt: check return value of strtok() (CID: 1372271).
456c3ff4a3 3GPP NAS: upgrade dissector to v14.6.0
2980e2523a recent.c: Make some capture_remote_* APIs static
005ddc1d8b sharkd: support for reference and previous displayed frame number
f8670a96c8 Qt: use QVariant::String instead of QMetaType::QString.
02f7c44469 rtps: remove unused ei entry.
b9341ad2d9 Qt: Fix moc interface issue
6aa3502306 Enhanced BACnet dissectors supporting BACnet revision 19.
e3329cdc31 Qt: Remove duplicate copy actions
fbeca26f03 CMake: Additional default Cygwin location
25425839cf LTE stats: trivial changes after review
538f0883f7 dcerpc-spoolss: remove unneeded check (CID: 1158734).
9b9f3098ac rtps: remove unneeded check (CID: 1158869).
ccc931b0a7 Netflow: Updated IEs (RFC8038, RFC8158, et al.)
bdccb597fe ltp: don't assign a gint64 value to a guint64 variable
a094154abe scsi-smc: remove dead code (CID: 1159071).
3a2773c9ef nlsp: remove logically dead code (CID: 1158979).
5c52ab7e45 extcap: Have extcap_spawn_sync use return value from ws_read_string_from_pipe
22f17f918c No need for read_new_line to return a packet offset.
9715aff0bd capture_file(.h): fix commas at the end of enumerator lists are a C++11 extension [-Wc++11-extensions]
3939ebe273 extcap: Increase spawn size
e65ce97f1a Add template helper for simple Qt tree models
e641846837 Qt: Add "Copy as…" to the byte view.
f1edf22602 Cleanup of tap-rlc-graph
4b1bd4742c LTP : Header and Trailer extension Corrections.
777acc73da Apply new CaptureEvents to statistics dialogs.
cb7eef8ff8 Convert Export Objects dialog to use a model.
71c68662c8 Add lzip to the "other compressed formats" comment.
137ab7d568 potential buffer underflow in File_read_line function in epan/wslua/wslua_file.c
5153a7aba2 Don't close something we didn't manage to open.
6e844dc46a Fix some comments.
9578e70d72 Handle DLT_ENC files *not* written on the same OS and byte-order host.
540cdaf54c RLC Stats: SaveAs working for all columns
971333665c qt: follow stream: use the new CaptureEvent signal
c18bc1291d wiretap: remove unneeded check (CID: 1396988).
62f06b7196 epl: remove dead code and corresponding ei.
b8ea5eb69d Qt: remove unneeded check.
588bcb1723 epl: remove unreachable case (CID: 1412051).
e0ccf38585 QUIC: Add decrypt Cleartext
56f1feb678 TLS13,QUIC: prepare for QUIC decryption
5a3addd8eb Fix possible signed overflow
5f0f2d610f RRC: Spot more UE transitions
8bc43e66a9 fpp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
340fc6f08a Qt: rework ByteViewText::addFormatRange to avoid dead code (CID: 1426074).
7ca62cc815 ipsec: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
4d0e0da64f Another new symbol.
5f6571913b Note that the HE information is not yet a defined radiotap field.
bad83f249f Fix build and thread runtime compat with older GLib
8642d72f36 Netflow: Fix typo for ntop_radius_acct_in_pkts
f5e7f273c9 ieee80211: Fix an unused variable error I introduced yesterday.
f8b67cb931 Rename dissectors.c.in and fix CMake on removals
28b463649f ieee80211: hide unused value_string variable
c7ce426f84 [Automatic update for 2017-12-24]
5bb5158b2e QUIC: fix 'num_ts' may be used uninitialized in this function [-Werror=maybe-uninitialized]
386f354f87 Add Service Response Time dialog for SCSI.
5fcb223263 ieee80211: More support for IEEE802.11 2016 around Extended Capabilities.
8d6202df45 ieee80211-radiotap: Add definitions for HE information and dissect it.
e30374d169 airpdcap: check return value for gcry_mac_read (CID: 1420699).
c2dee33630 Qt: add initializer (CID: 1412975).
b1a2bef8bd mip: properly advance offset if !tree
59688d3ec6 Update symbols.
6a949ed155 Put special pipe-handling code into libwsutil.
13a9c636a5 QUIC: STOP_SENDING error code is now application error code (with 2 bytes)
5f1ed2b221 QUIC: RST_STREAM error code is now application error code (with 2 bytes)
c60d7bb199 LTE RLC stats: supply fields for Save As..
7d88ca5cf9 QUIC: not longer Timestamp Section/block with draft07
5e202c0268 QUIC: Update Error Code (and not it is only 16 bytes)
22d791d0aa QUIC: Add APPLICATION_CLOSE (0x03) from draft07
04685ac8fc QUIC: Add conversation support (to store version)
65276a4ebb plugins: fix  no previous prototype for function 'plugin_register' [-Wmissing-prototypes]
d5d815189d Qt: Redesign signal/slot concept of capture_file
d41d0f7148 TDS: Dissect TDS4/5 login packet
7c14949145 EtherCAT: Fix unreached register
14009cefe8 IEC104: add section 7 [security] cause of transmission & type identifiers
271d6c14ef extcap: null terminate the string that will be used in strlen (CID 1364684).
8a83e4d9ea Qt: close file exiting from scope (CID: 1418343).
54f6df525e RPC Service Response Time dialog: Fix crash
56cca5bd58 coap: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
e6a350552a Fix unreached registers and typos
7099a833be Added ArtTrigger dissection
8a961e8e15 Qt: add missing break (CID: 1426884).
4bba969698 byte_view_text.cpp: add initializers to please GCC 7.2.1
40415fffa3 CoAP: Various improvements
e3be49a0f5 [PFCP] Fixed User Plane IP Resource IE
68d431e1e3 [PFCP] Fixed decoding length of Vendor Specific IEs
9306a044ce [PFCP] Fixed length of CSID entry in FQ-CSID
70e16734d2 [PFCP] Fixed length of DNS labels in Node ID IE
9354901dd1 Qt: Lighten non-printable byte view characters.
cf9d7fb8a5 LTE MAC stats: save to file, ue entries only
46a35e5004 Qt: Add back byte view hover.
5631bdbac6 [PFCP] Fixed Usage Report Trigger and Reporting Trigger IEs
1046867878 [PFCP] Fixed header field info for CP Function Features
b9f0f55cf7 [PFCP] Fixed order of IPv4 and IPv6 in PDI IE
a5c2259257 [BSSAP] Fix mandatory IEs in Uplink Tunnle request(add IMSI)
af0c46fb92 ieee1722: Add dissectors for Compressed Video format (H264 and MJPEG)
00974e1dc4 Add IEEE 802.3br Frame Preemption Protocol dissector
2b0a1ec2cb couchbase: uncompress snappy payloads
bb5ade02d5 NULL check some g_log statements for extcap.
530fd0a4d0 DNP3: Fix timestamps on command event objects
798b937d97 ipsec: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
917867c432 fuzzshark: fix no previous prototype for function 'LLVMFuzzerTestOneInput/LLVMFuzzerInitialize' [-Wmissing-prototypes]
7cf2d86590 gitlab-ci: use custom wireshark image.
4a94cb640f ieee80211: Make Extended Capabilities bits more in line with 802.11 2016.
57d54a2fc0 Qt: Filter Dissector tables properly
153d588972 Qt: Improve ColumnEditorFrame stretching
bbc44b7763 Infiniband: Fix number of bytes exported if ip_cm_sid
6d38bc00db Qt: Fix DataPrinter hex conversions.
6ff295af01 Swapped expert item fields in sample dissector
0b30fb239f Qt: Add new keyboard shortcuts
579708a97e gitlab-ci: build noextcap and nopcap in gcc7 and clang6 only.
23c6b558ed gitlab-ci: rework the gcc jobs to speed up the builds.
3181888797 gitlab-ci: add retry.
d0d15ef5df Avoid ASN.1 frame.protocols duplication.
8521dbbe67 Convert Dissector Tables dialog to use model
c781cc38fd Qt: Avoid using cmd+H as keyboard shortcut on macOS
1bdececdb2 Fix some copy/paste errors with new models.
12e25c1a86 plugin: fix extra ';' outside of a function [-Wextra-semi]
106e0b4ee0 Qt: add initializers (CID: 1426703).
c9b6887d84 wslua: Fix logger after g6a5e90f2
5b596fa871 [SIP] Add dissection of oc-seq as time stamp.
4db038aa28 Qt: Fix sorting of enabled protocols description
0d6eb9631f Convert Enabled protocols dialog to use model.
6e4a636415 Bugfix capture_info_open() folded into ui/capture.c
7cb6255f17 Qt: Resolve duplicate keyboard shortcuts
9f7b8713fa Qt: Add Collapse Subtrees
5ebc3277ed androiddump: Fix adb tcpdump PTY CR/LF handling
09ad845690 [SIP] Make a filter for Overload Control Value.
b37aedb47a asterix: special processing for field item I021/150
786a73b80d Fix SOCKS5 state machine for authentication, two-pass dissection
3c87991c28 -1 is a valid tree_type value.
67a49eb2ec ieee80211: Remove notices about D3.1 of IEEE802.11ac.
9761e27939 Qt: Process our event loop less often at startup.
50be2bde1a Qt: Handle RecentFileStatus destruction manually.
f6d5b5fc10 QT: Fix qUtf8Printable error
c9f54aa1c3 autotools: Fixup plugins Custom.*.example
6159c2be18 CMake: Replace generator expression with variable
f3444ed0f9 plugins: Remove moduleinfo.h
ee8ca2e1d7 plugin.rc.in: Cleanup some unnecessary code
f37e759f41 [Automatic update for 2017-12-17]
889aacae6e Qt: Update our recent status sooner at startup.
cd573915ea LTE RLC graph: export graph as image, like TCP stream does
b1f558ae27 ieee80211: Bring VHT Capabilities IE into conformance with IEEE802.11-2016
f4b2263a0b Simple statistics export: fill in callback to get item data
6a5e90f2d9 Log output updates.
18c42e1dca Kerberos: Update and fix KDCOptions and TicketFlags
0b88544b07 Fix memory leaks in Expert Info dialog
68668b785c Convert Supported Protocols dialog to use model
2b4322ceba BGP: add Open message error/unsupported capability
b2e6d615c2 qt: follow stream: prevent duplicate close
3d086e638d wslua: Fix crash in Dir.open()
6210773095 Rework address matching to work with string input.
03375e0c28 packet-mq: Improve some display by adding CONST values
28ba566675 wslua: Fix memory leakages
183b9119dc 6LowPAN: always build IPv6 address whatever the tree state
15a97b5986 Qt: Show our recent files earlier.
3071356d9e Qt: A node without a child can not be expanded
adde937ed7 plugins: Remove redundant plugin.rc.in files
cf5a58f72a Qt: Initialize QFontDatabase in a worker thread.
2acaf0a47a [ISAKMP] Added support for new Notify EMERGENCY_CALL_NUMBERS Payload
774a986ec0 epan: Add default type handling for custom column
bdb6baa740 Qt: Switch ProtoTree to a treeview+model.
0909580a7e ieee80211: Add handling of the ANQP Neighbor Report.
1651371d17 epan: Whitespace fixes
a51ac8d398 Qt: Fix translating some texts
a8a4436e97 debian/rules: Fix typo
90102ad12e Remove a plugin_if_gui_cb type conversion.
afc6e773dc Fix registration of wiretap plugins
db140dd500 Add new dissector callback signature with data pointer
cebb8ea20e Add new plugin type for libwireshark
629596ebef Qt: Constify a variable.
db740987ff Qt: Add and use qUtf8Printable.
4cf7cd3ed2 Register the MongoDB dissector as SSL capable.
fe4cf449c9 fp_mux: fix 'data' was marked unused but was used [-Wused-but-marked-unused]
0ffee1526b ciscodump(extcap): fix 'packet' was marked unused but was used [-Wused-but-marked-unused]
83b0525620 firewall_rules(ui): fix 'ptype' was marked unused but was used [-Wused-but-marked-unused]
11a948dd12 [ISUP] Update value strings from specification amendment.
9401571a24 Qt: Add QtCreator generated files to gitignore
995812c5f1 Refactor plugin registration and loading
a9821caab8 Add dissector for ActiveMQ Artemis Core Protocol
862a0b6472 epan: Make expert info summary text mandatory
11ccd83068 Fix detection of Lua when there's no pkgconfig file.
a9f5016429 ieee1905: Fix an incorrect flags dissection.
c662615ab4 ieee1905: Fix for a malformed packet with a Steering request.
6af7b9a63a Register the UDS dissector by name.
7539469d79 Fix types.
6d30df0cdd Replace a comma with a semicolon, which it presumably was intended to be.
c781bd4110 Qt: Fix a cast.
cb748178fe Add doc/README.build-system with CMake and autotools information
801ee01aff Qt: Add ui, qrc and qm files to source
b0112e60ad Add a model to use for Expert Info dialog.
f945b85391 epan: Use expert info summary text as field name
e4750105b2 epan: Show a check mark in custom columns for FT_NONE types
2c36df54a3 Fix RPM build: include the User Guide.
158d929884 epan: Use check mark in protocol custom column
16e5d73ecc nfapi: Add missing expert info summary
326591ef6d fuzzer: add check for ftell return value (CID: 1426073).
91f63908df cmake: Remove -Wcomma for C++ when using Qt >= 5.10
621498f88e qt: follow stream: fix crash during close
5aa50639ac ieee80211: Add additional ANQP IEs defined in IEEE802.11-2016.
34b62c60bf Revert "Move fill_in_local_interfaces to a thread."
10e9846252 SIP statistics: use flipped indices for tables when incrementing stats
7617af1d89 Fix make distcheck
51300b3c83 fix compilation without pcap.
c9546dfceb [capture_info] Move capture_info_new_file() to capture.c
84f905786e [capture_info] Fold the code of capture_info_open() into ui/capture.c
397e2a2d74 gitlab-ci: restyle the gcc builds
faa4a6a5f1 SIP statistics: fix problems with invalid items
5b4894b795 Move fill_in_local_interfaces to a thread.
0d5ad701b4 Fix make distcheck
5fc43fe63a Rewrite make-tap-reg.py in C
224e24884a NTP: fix authenticator dissection when padding is used
7d38363786 NTP: fix parsing of multiple comma separated identifiers
91548948bb [Automatic update for 2017-12-10]
d0d1eaadf0 Win32: Add checks for _WIN32_WINNT and NTDDI_VERSION.
3d673da88c Convert to using use SPDX identifier on wsutil directory
8225159e33 Add support for MongoDB OP_COMPRESSED packets
22a7d8fa8d SOCKS: Display right version in pseudo header
8cb9a094bf asterix: wrong presentation of fields I009/080 in CAT009.
abd703c4b8 LLDP: Add 802.3 TLV Additional Ethernet Capabilities (Subtype 7)
c79fb9d028 make-dissectors: Indent and cleanup #include
514e607dd9 [MIPv6] Fixed IPv4 Home Address Option
d96ef7ed05 Allow switching direction in LTE RLC graph
f8203771ec Typing error correction for CAT002 settings selection.
157ea91f2e oss-fuzzshark: fix compilation.
2cee4f432f Try to fix win32 build, add ui/packet_range.h include.
5d6315fefe [SCTP] Export of reassembled PDU uses wrong tvb.
8aa14236f8 Have the frame_tvbuff.c routines not use the global cfile.
f29b3deb6d PROFINET: AdjustMAUType-Extension and CheckMAUTypeExtension disections are added.
48e65c4af4 Hand the packet provider functions to epan_new().
797d2f6a87 Move the frame_set stuff back into the capture_file structure.
0baa4458c5 sharkd: add sharkd_get_frame() to get frame_data, optimize.
847585f938 More QVector fixes.
683087628b Qt: Fix ByteViewText compilation for Qt < 5.5.
038aa2a616 Add fuzzshark to cmake/autotools.
8687fca8a8 sharkd: fix coding style.
42b191a657 wsjsmn: use SPDX identifier.
be8a400053 Qt: Use QTextLayout in ByteViewText.
f8b19c6eec transum(plugins): no previous prototype for function 'is_dcerpc_stream' [-Wmissing-prototypes]
024e7dc8af mongo: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
244aab31ee profinet: removed unused var.
b59c39b271 frame user comments: move to epan, add support for user comments in sharkd.
038fe4c2d4 oss-fuzzshark: fix handler of epan->get_frame_ts to fix build.
2a385334ea netlink-netfilter: Add NFQA_CT and NFEXP conntrack dissectors
27f7bbbec2 PROFINET: AdjustPeerToPeerBoundary disection is added.
99ea13988d Qt: Speed up the splash overlay.
abcb7ec875 Convert the file set dialog treewidget to a treeview+model.
5eb07b35d4 [profile.c] glist_fre_full() is 2.28, include glib-compat.h
9b7dd3ca20 dumpcap.c: cap_pipe_read() returns a ssize_t whatever the platform (CID 1424899)
a7603a1f68 Fix loop bounds check.
b3f0004af7 Use g_list_prepend() it's faster.
48841d0b5b DOCSIS: Fixing typos
585a57ea1e [decode_as.c] Use g_list_prepend() insted of g_list_append, it's faster.
d747900bc8 [tap-rtp-common.c] Change g_list_append() to g_list_prepend().
72c2256633 make-dissectors: Fix null pointer dereference for error condition
d3a3b0ba27 tshark: fix pdml export for LUA cases - bug fix for wrong level introduced in SHA-1:b8ead953 - fix indent for Close off fake wrapper protocol
7a957952dc Let a "past the on-the-network length" exception terminate dissection.
3944f881f4 RTPS: Added new PIDs to Security
e5f884c8b0 Show retx prev and next framenum types as chevrons
5350fd741f RLC LTE graph: add comments clarifying tracer limitation
f411ab3988 Get rid of cfile-int.h.
ccc55bc80c Put the structure of a capture_file back in cfile.h.
1834dca365 Move the parts of a capture_file used by libwireshark to a new structure.
02944c412b Use cfile fields for some frame_data pointers.
461c8a7b44 This also looks inside a capture_file structure.
dc64ce8671 Clean up dissection of server entries in SAP responses.
8ffc939b54 Add cfile-int.h.
eb8ffb74e2 Use cfile.h to define the capture_file type.
114c989fb3 [Automatic update for 2017-12-03]
40fc796818 Fix the configuration check for remote-capture support in libpcap.
0455040c0e LDP: Add support for MP2MP FEC
c4af29ceb2 MPLS: Add Media Access Control (MAC) Address Withdrawal over Static Pseudowire (RFC 7769
e77dac09f1 PROFINET: AdjustDCPBoundary disection is added.
28b6616ea0 Get rid of some void pointers.
219c5463d1 TDS: Improve TDS7 Prelogin request/response handling
c9348e1a70 ZigBee: Correct Smart Energy Publish Block Thresholds and endianess
5320bdd00e RTPS: Fixed a quick typo in a hf item
290fd76af6 [glib-compat] #include "ws_attributes.h" needed to handle _U_
8606062cb3 dumpcap: enable capture of pcapng from pipe
1683dd11e7 RRC: Improve C-RNTI resolving
a3a906d663 packet-rsl.c: Use value-string in RXLEV and RXQUAL fields
48e68367d9 rrc: Remove unused GTree
a6d0ffca86 RRC: reset strbuf pointer after its use
6a00fa767f http2: select fields from Decompressed header tab when possible
bb4726abf2 Qt: fix crash when selecting field with composite data
3d6da018e7 CIP Safety: base packet length can be used
f6521b295d RTPS: Added link to the DCPSPublicationData frame number
aeb864e685 RTPS: Added new endpoints for the Security spec
ec0ffc043f RRC: Fixup wmem_strbuf usage.
3ed5b4fb67 Reformat some top-level ui files.
b59dc97dfe NetBIOS: Don't write past the beginning of a buffer.
52365a55e4 LTE L2 protocols: add FT_FRAMENUM_TYPE for most FT_FRAMENUM fields.
986a084de3 Update .gitignore
d1a6742d9b [L2TP] Enhance info col layout.
140282cbf0 cmake: fix build with cmake 2.8.11.2
d7bab0b46e [packer-ehdlc.c] Mark some fields as generated, enhance info col.
e1850de294 autotools: remove unnecessary include directory for epan
3c6cb2f856 cmake: match include directories with autotools
952dc3ae32 make-dissectors: Use g_file_set_contents()
9cd82c3753 RTPS: Added DataWriter QoS to topic information feature
f10237f0a5 RTPS: Added locator and product version to Micro DDS
67ffa3cf7d Threads: Set lifetimes and add a compatibility routine.
041e3e7c27 CIP Safety: check packet length before dissecting
e29378b030 Qt: fix role check in AStringListListUrlProxyModel::data
18b240d7d2 Normalize ui/win32 indentation and switch to SPDX.
d1a79a6cac Get rid of --with-pcap-remote; always check for pcap_open.
e74800d347 Use a separate Boolean to indicate whether we have a duration.
ae65dc20ea Report the actual *error* for CANT_GET_INTERFACE_LIST.
2fdbeb0d78 Gen-bugnote: Replace backslashes with {backslash}.
1e892a1db6 Qt: Small layout improvement in preferences
e73135a9f1 ZigBee: Add remaining attributes from Smart Energy Metering cluster
9c6d2af0ae Qt: Add support for DCE/RPC in Decode As
da91020353 ui: Sort profile names
87a8877007 gitignore: Add packaging/macosx/PkgInfo
944a3c3a58 make-plugin-reg: Update modification time to plugin.c
d865871627 Qt: About Dialog move to QTreeView and fix copy
d35ed012ce TLS13: update for draft -22 (Server Hello, HRR, CCS, NST)
7eb2c7dbc7 *Always* set pinfo->p2p_dir from the wtap_pkthdr.
78ed5f34f5 NBAP: Always map NB-CC to CRNC-CC
c0514ac433 Bugfix DCE/RPC Decode As for GTK.
9b7ad9c20e [Automatic update for 2017-11-26]
076fee6e63 artnet: Fix ArtPollReply spare/style field order
18657caf8d Add information about pre-commit script to Developer Guide.
fdeaaa362a LTE MAC stats: make display filter field work
89ae2826d6 Qt: AccordionFrame users keyPressEvent() fixes
e1f3d9dcbe LTE RLC Stats: make display filter field work.
cf110add65 RLC LTE stats: show UE and channel bw properly
f23a6e193f packet-iwarp-mpa.c:  Stop FPDU dissection if the ULPDU_LENGTH field does NOT contain what is expected
d2a7a806ff Re-sync with osmocom version of the file with new types
1ecad01420 Qt: About - implement copy&paste and urls
1392b92d7c TDS: Fix packet reassembly for TDS 4.x/TDS5.x streams.
0074855364 DTLS: fix decryption with EMS and client auth
9ac02f18c9 packet: ensure consistent layer number for heuristics dissector
b99677dea9 Qt: Add key event to reject changes in AddressEditorFrame
73c01d6d05 Qt: Rewrite the About dialog to use models
8fa4a440a8 GTK: Remove packet editor
e7b12d8550 LTE RLC graph: 'r' should reset, not zoom out
cb80d6c97b make-dissectors: Use more shell for build recipe
cd6e56e03a ZigBee ZCL Price Cluster dissector
76d7b7a519 Qt: Add menu option to remove all packet comments
ea6204cab6 BGP: display ESI 10bytes value (and not a decoded value)
ef17ead772 BGP: Add Path Identifier to IPv6 NLRI
6cc3abfc55 [make-dissectors] Need to link with wsutil
0780975703 make-dissectors: Another attempt to use newlines instead of spaces
121654beb2 checkAPIs: Skip make-dissectors.c
3a80970f12 make-dissectors: Fallback to the newly introduced glib-compat replacement
80424d135f Qt: Make InterfaceFrame use QFrame
243fa8c441 [glib-compat] g_async_queue_timeout_pop() needed for older glibs (2.31.18)
b6f5ee68f6 make-dissectors: Don't use stdout
db811a699d [glib-compat] Add g_ptr_array_new_full().
fe76be0b5b [make-dissectors] g_ptr_array_new_full() is glib 2.30.0 which we do not require.
d790c524b4 TLS: fix decryption with EMS and client auth
b4419eacce zbee_parse_uint -> proto_tree_add_item[_ret_uint]
c369db08ea Add comment with motive for dissectors.c.in
2add5e701f make-dissectors: Print the number of functions successfully parsed
f5bc86df04 RTPS: Topic Information feature now available for all the submessages
a55a96a13a ssl(-utils.h): fix parameter 'src' not found in the function declaration [-Wdocumentation]
053b41dda3 wisun: fix no previous prototype for function 'proto_register_wisun/proto_reg_handoff_wisun' [-Wmissing-prototypes]
5e17502d39 802154: fix no previous prototype for function 'ieee802154_create_psie_tree' [-Wmissing-prototypes]
462048b2d3 ZigBee ZDP cluster display
bceae3cff2 ZigBee ZCL Calendar Cluster dissector
b993c6f05c sshdump: remove extra option check.
c58aed9b73 sshdump: add option to prevent promiscuous mode.
36372a2465 TRANSUM: Fix DNS-related bug and improve performance
871f75ce85 make-dissectors: Remove dependency on GNU Make >= 4.0
2f2c2b06e2 Add Zigbee encoding, ENC_ZIGBEE
8d5726dccc Add support to handle DNS retransmissions
a501321cbb Enable TCP Calculate Conversation Timestamp by default
86919416ee ZigBee ZCL DRLC Cluster dissector
1ae4145994 ZigBee ZCL Energy Management Cluster dissector
641e2fc573 Add support for MongoDB 3.6's OP_MSG to dissector
454a7647f5 CMake: Remove duplicate PIDL files from CMakeLists.txt
9a1a8f77e9 BGP: enhance display
7540ac6938 Move the protocol registration routines back into libwireshark
4e63ec305b configure: Downgrade GNU Make message to a warning
2ad1507344 oss-fuzzshark: fix linking issues due to register_all_protocols() removed from -lepan
0b2ecccd86 Add ThreadSanitizer configure-time options.
8cbde93146 gitlab-ci: add clang 5 and 6 builds.
4a125fb183 configure: Check for minimum required GNU Make version
1470aeef4c Qt: Remove merge issue from Drag Drop
3cf73671d1 From looking at the OpenAFS source, the RX abort code is signed.
4a08c63e88 mqtt: Add sanity checks for MQTT v5.0 Reason Codes
90e236fd09 Qt: Main Welcome hover sparkline color fix.
23b6028e1d Qt: Remove an unused variable.
dd562b503f Qt: Move the MIME init thread to WiresharkApplication.
5968fc1cae Rename UseMakeDissectorReg.cmake
fdc3023bec OpenAFS always puts out 3 bytes of padding in an ack packet.
6917ec769e Qt: Fix various smalles issues with drag-drop
4fbb2df3cd Revert "make-dissectors: Be more resilient with whitespace"
c26ad500ec dissector/mqtt: Add the MQTT v5.0 Reason Codes
ed9d085520 make-dissectors: Be more resilient with whitespace
496797f0dc ieee1905: fix typo bandwith => bandwidth
93e7bed24e ieee1905: fix typo addres => address
fe0c2b0485 Rewrite make-dissector-reg.py in C
129cb60f56 Remove unused dissector registration prototypes, fix typo
d17633892c packet-tds.c: Correct encoding for hf_tds_colmetadata_maxbytesize
5b55848789 README.dissector: Add note to add 2 encodings for FT_UINT_BYTES in proto_tree_add_item
51ff1df443 file-elf: remove unuseful check (found by Clang 6).
262a84c384 Fix (and chop) static build option
61bd626d5d Qt: Fix Activation of menus
e9d8eba416 packet-h223.c: Ensure conversation data exists
d6b3fcfeab CMake: Fix error from bab9abfb7d259e1daaf84776ed9d4d09e2469293
1b79315aac [Automatic update for 2017-11-19]
bb47a68e09 Move dissect_leb128 to file-elf.c
752d0ef753 dissect_uleb128 -> tvb_get_varint/proto_tree_add_item_ret_length
ce8f871900 CMake: Fix package requirements for building docs
1097e8020a autotools: Library build products don't need explicit cleaning
f902981b2d Fix indentation
23234ac872 ZigBee ZCL Device Management Cluster dissector
bab9abfb7d CMake: Clean up Windows build
adc1aff0a5 The header is host-endian, not little-endian.  Note that.
c42878bea8 Reformat comment giving Kerberos 4 specification.
241008c861 URL for the document.
7d4e087070 Update .gitignore
b695b3e2f7 Begin cleanup of make-dissector-reg.py
d8e2bee9ea .mailmap: update (of November)
925214a3e7 ieee1905: Fix the incorrect dissection of radio operation restriction
c2b9c90367 Qt: Use QThreadPool instead of QThread.
a398a9573d ieee80211: Complete fixed size fields for SAE authentication
18d49f467d Qt: Properly reset the byteview
ed68e05014 IEEE 802.11: fix an infinite loop
658578a5b9 Qt: Initialize QMimeDatabase in a worker thread.
71cec74ccb Qt: Fix selection of elements
584c478751 fp: Fix mac TVB for edch t1
7f327cc580 3GPP NAS: fix dissection of PCO MSISDN container ID
252ea22b97 WSDG: Improve VS2015 chocolatey install
2114923ec1 [Juniper ST] Dissect the "known" parts of the Juniper header.
848cd4e291 rrc: fixed incorrect constants
00e217a732 ieee80211: Add dissection of BSS Transition Query
83cf4feaa9 register(.h): fix parameter 'register_cb' not found in the function declaration [-Wdocumentation]
81b246c040 No need for a read/write descriptor for the output file.
bbeb5acb07 Allow dumpcap to write to a named pipe.
d9f8ddd780 [PFCP] add port 8805
e2deb54414 gitlab-ci: add clang builds.
ac1d52aff5 Register protocols and handoffs in separate threads.
665eb78729 Qt: Add UAT move up and down buttons
8ee4920c76 Registering CMP PKIMessage as BER dissector
9b93e7e5b2 Explain where GeoIP_free comes from
8d9fbdf851 Qt: Show as much as possible of UAT pathLabel
f4e958c2ea udpdump: add space.
ca8e9a84a9 kerberos: Don't generate unused _vals tables
256622cb71 QUIC: fix STOP_SENDING length
129ffaf11b Qt: Update UAT clear button enabling
435a8fb79c JXTA: Remove some assertions.
21d96b0444 JXTA: Simplify some expressions.
1810801a68 Handle LINKTYPE_JUNIPER_ST 200.
88d8fa7440 UI: Fix seg fault of software update language init
5d1328c528 Kerberos - Add support for RFC 6113
27011d3123 Qt: Change delete_list icon transparent value
f2ee064bbb mqtt: Copy UAT match_criteria value
b0b5bda7cb Revert "Windows tests:"
c43c58c434 CMake: Make Qt5 packages required if building Qt version
b4fc532372 Windows tests:
3006ffa615 CMake,editcap: avoid noise with editcap -F and -T options
a595d7326b MPLS: use directly proto_tree_add_item for display PW ACH Channel Type
b1302f0f28 Remove circuit_id from Lua tests
0bba9fb60f RDM: Add ACK timer and ACK overflow handling
65bab716be [PFCP] minor corrections
800b26edbe Remove circuit API
7c40580584 Qt: Really fix the packet list selection
58a44aef23 Qt: ToolbarMimeData and display
7deb2b432b mqtt: Use proto_tree_add_item_ret_uint()
3105382bed Qt: Show ByteView for first packet
b5a1145cf1 Qt: Select correct packet from list
e38c89d3a7 Link with ZLIB_LIBRARIES if you link with wiretap.
5be009d48d Fix typo.
54e54c64bd [Diameter] Fix typo avp name="OC-Feature-Vector" code="622"
66b5afa216 extcap: use SPDX identifiers for licences.
2b03b41bd0 ssl-utils: Add export ssl_data_alloc
d283939303 Fix "might be clobbered by 'longjmp' or 'vfork' warning
3d77e1bbcd [PFCP] Update to 3GPP TS 29.244 V14.1.0 (2017-09)
e13e2df9a1 Qt: Rename packetSelection to frameSelected
447291d84a Qt: Fix DragDrop on ProtoTree
8e5436687a Qt: Clear up the label
98ca698a37 Qt: Add Modifier to drop only field
e95623cd6b Qt: do not crash when selecting a field without tvb
5bd8fb4131 [Automatic update for 2017-11-12]
bd130e9273 ieee1905: Use BASE_UNIT_STRING and &units_dbm rather than appending the string 'dBm'.
95d6217193 mqtt: Whitespace and indent fixes
b032b33801 autotools: rename libui_dirty to libui_generated
fa6dc7b3fb autotools: Be more consistent with variable names
3f11c2f7c5 Wi-SUN Protocol dissection and IEEE 802.15.4 IE cleanup.
499ae4ab57 address(.h): fix commas at the end of enumerator lists are a C++11 extension [-Wc++11-extensions]
2092b66a0b WPS: no previous prototype for ‘proto_reg_handoff_wps’ [-Wmissing-prototypes]
81805717de RIP: no previous prototype for ‘proto_reg_handoff_rip’ [-Wmissing-prototypes]
fea67da276 [PFCP] OHC: fix Port number field present
13581e6aca [PFCP] display changes
bb69464e4c [PFCP] F-TEID: add missing TEID
da24baf510 asciidoc.conf, sort-and-group: (trivial) fix a comment
ac41b0a941 [PFCP] IPv4, IPv6 address present
29c32812b4 RTLS: Add link to doc about this protocol
4ec8ebcebb SPDX: Convert doc and docbook.
92be91f57a [o|t]wamp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
1cf6d365b2 mqtt: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
fdc8845803 ieee80211: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
ff302a283d btmesh: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
73329d786b DVB-CI: ensure that conversation_t stucture exists before using it
eaee0678ce mqtt: Use guint for offset
f35aa91c1a dissector/mqtt: Dissect the UNSUBACK payload
d337f4c5b7 dissector/mqtt: Payload length computation
bce5b50f73 Qt: Fix use-after-free crashes when changing packets
7cbbbe0bde Qt: avoid undefined behavior in ProtoTree::eventFilter
0c382106f8 dissector/amqp: fix TLS/SSL payload dissection
6ef9538770 [PFCP] PDN Type Dissection and minor fixes        Added PDN Type dissection (3GPP 29.244 Section 8.2.79)        Fixed bit order in dissect_ue_ip_address        Added "Encoding error" message if MBR or GBR has different format than specified in doc.
cb7e896a4a Add frame number to packet comment dialog
fd46a58581 packet-twamp.c: General improvements
e935e902d6 ieee802.11: Fix the display of the Cisco Aironet DTPC value.
19a46ba774 RIP: do not register proto_reg_handoff_rip() callback
775bbbcded Start using SPDX license identifiers.
50b91d0b4d qt: add constructor to proto_tree (CID: 1420705).
784ad7297e UI: Use configured language for software update dialog
645dff11e1 dissector/mqtt: Replace proto_tree_add_uint64 by proto_tree_add_uint
414a63f160 extcap: rename interface names.
3bc743a9fd autotools: Fix build for unknown Qt interface
3996701183 Replace inet_addr() with our inet_pton() wrapper
2ebc41050e [PFCP]  Dissect Node ID and minor fixes
e7e4dc5d98 gvcp: - Added support for new registers:  - GVCP_IEEE_1588_EXTENDED_CAPABILITY (0x00000974)  - GVCP_IEEE_1588_SUPPORTED_PROFILES (0x00000978)  - GVCP_IEEE_1588_SELECTED_PROFILE (0x0000097C) - Added support for missing/new error codes (0x8013 - 0x8017) - Added dissector code for 'current link configuration' part of device mode register - Added support for proper event dissection with the length field in event commands is used as recommended by the GEV 2.1 specification - Added dissector code for new capability/configuration bits (iee1588 profile, multi-part, large leader/trailer, ieee extended capabilities) - BUGFIX: In multi-zone mode, zone directions where decoded as 'Receiver' and 'Transmitter' instead of 'Bottom Up' and 'Top-Down' - BUGFIX: Commands that received at least one 'PENDING_ACK' before the final acknowledge where always reported with '(Failed)' in the Wireshark main window - Fixed some typos gvsp: - Added full multi-part dissection support - Replaced some hard-coded numbers by numerical constants - Added support for missing/new error codes (0x8013 - 0x8017) - BUGFIX: In multi-zone mode, zone directions where decoded as 'Receiver' and 'Transmitter' instead of 'Bottom Up' and 'Top-Down' - Combined 'AddressOffsetHigh/Low' for multi-zone/part into a single more readable 64-bit value
74936320a4 802.11: Correctly handle Wi-Fi Alliance Multi-AP subtype decoding.
dc269fcd6f [PFCP] Improvements to Dissect F-TEID function     Added Bit 4 - CHID as described in 3GPP 29.244 Section 8.2.3.     Added "Encoding error" msg if documentation conditions aren't met.
f2727b571a TWAMP dissector for RFC 5357
4367855163 dissector/mqtt: Rewrite the SUBSCRIBE payload size computation
afb252355b ISDN: Convert circuit API to conversation API
78665f5211 ISO 14443: Convert circuit API to conversation API
82891e37e9 DVB-CI: Convert circuit API to conversation API
c57ab694ec Qt: Give focus to preference value in PreferenceEditorFrame
25c5d830c9 Qt: Give focus to Title in ColumnEditorFrame
35a1907fe6 iograph: Use default graph values if io_graphs UAT file doesn't pass validation
1c25b71c7b mqtt: Rename mqtt_conv to mqtt_conv_t
428b354f0d btmesh: Remove a debug g_warning
8a6ea0e454 Qt: Further cleanup ByteView
87431fef28 dissector/mqtt: Add 'Subscription Options/Retain Handling' text descriptions
af285603ee dissector/mqtt: Dissect the User Property field
9f67e0a0d6 dissector/mqtt: Dissect MQTT v5.0 String/Binary Properties
d5759b72e6 dissector/mqtt: Add the 'Subscription Options' dissector
36faf3203a udpdump: don't call inet_addr() for every packet.
8730b2037a tshark/tfshark: Replace global prefs with a boolean
2125275c7c smb2: Fix bug 6027 to correct SRT computations.
3f189bed2f dissector/mqtt: Dissect the Subscription Identifier Property
ca7bffbfc3 [Diameter 3GPP] Sub dissect AVP Code: 1677 Group-PLMN-Id.
6565923eb3 [PFCP] Fixed apply action flags bits referenced in register info.        In accordance with 3GPP 29.244 8.2.26 Apply Action.
1a3bd52e91 btmesh: Fix building without gcrypt
465f75b529 MQTT: add a missing break
4a1f8f5f27 Qt: ReleaseNotes and reformatting of Drag n' Drop
bf8d8ebfa4 dissector/mqtt: DISCONNECT and AUTH may not include the Property field
76eab87c7d dissector/mqtt: Dissect MQTT v5.0 Four Byte Properties
9e7cfd32dd dissector/mqtt: Dissect MQTT v5.0 Two Byte Properties
458f97b1eb dissector/mqtt: Dissect MQTT v5.0 Byte Properties
96735846be Qt: Clean Drag-n-Drop Mimetype for toolbar
4d6454e180 Qt: Drag n Drop Filter expression from Packet Tree
371b5c526b Have circuit functionality more closely mirror conversation functionality
f8a1878202 proto.c: fix field display test in hfinfo_number_value_format_display64()
0e85c0ad1e Fix typo: Heatbeat --> Heartbeat
b6d6eb9097 CMake: Detection of HTMHelp
0c1ea1cee1 fcp: create conversation if it doesn't exist.
62e81c5846 Open Windows CHM Help from Help menu.
dc0e6ccc9f tshark/tfshark: Do not apply console.log.level before it is set
5dd6a9cef9 isobus-vt: make sure to close the id file (CID-1413873)
99a53b2b95 packet-ieee80211: all frames have address 1 = RA
3593f0953f Fix Elasticsearch hex dump
1344e707b7 dissector/mqtt: Disconnect and Auth variable header
d84d43372c Improvement to plugin_if_get_ws_info(...) functionality
fa2649ac61 wireless_timeline: fix blank display
19b2ddcce1 dissector/mqtt: Update license notice
e2179a2ac5 dissector/mqtt: Add partial support for MQTT v5.0
ea97b3364c Add AMR WB pino to make Decode As happy.
1e707e33fa [BT Mesh] Add Bluetooth Mesh dissector.
4405c5d769 Fix white space.
9705f653da print: add fi check.
147e491025 Convert PT_EXCHG into using conversation endpoints
0dfff8c4b4 IEEE1905: Add a break to fix a malformed packet issue and dissect Multi-AP Extension types in EAPWPS.
8b79187b66 ieee802.11: Add support for the Measurement Pilot Interval IE and fix dissection of the actual measurement pilot interval. It is an 8-bit field according to IEEE802.11 2016.
156a0b62eb Tools: json2pcap script update
ba6dd97081 Remove epan win32 x86 assembly
93bda0b18d Add conversation/endpoint statistics for Linux SLL
23afd28daf Convert TIPC to use endpoint conversations
08bf89f487 zbee zcl se: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
10cc91f83d RLC: Replaced g_malloc with tvb_memdup
2ef00337c4 CMake: Remove "compress" remnant
dc18da434b packet-infiniband: Proper parsing of ClassPortInfo attribute
f891603a47 autotools: Eliminate spurious libwireshark_asmopt library
ff3bd8c7ce conversation_table(.h): fix parameter 'ptype/port_type_val' not found in the function declaration [-Wdocumentation]
72c2e53981 autotools: Use pkg-config to configure Libsmi
62f705e844 autotools: Try to be clearer about --with-ssl and remove cruft
711f69c807 CMake: Don't offer unsupported options
68ead1d025 Qt: Fix drag-n-drop in toolbar
aed3e66672 [Automatic update for 2017-11-05]
7e6f6562fa TCP: cleanup Riverbed option
fc318e6a1f Better instructions on building with Qt on macOS.
1741b6b23c oss-fuzzshark: force direct malloc
d11f5dff8e TCP: Fix Riverbed probe option tvb handling
802517e917 packet-infiniband: SM class does not support ClassPortInfo or InformInfo attributes
834c65a1f8 packet-infiniband: Make unknown GS class attributes show up in wireshark Info column
0cd40887d4 packet-infiniband: Better variable naming
b4856927eb packet-infiniband: DETH Queue Key should be hex rather than decimal
002133c606 packet-infiniband: Make unknown PerfMgt attributes show up as PERF in wireshark Info column
b70429427f packet-infiniband: Fix commentary typo (for consistency)
3c2f217940 packet-infiniband: Add missing SA methods into mad_method_str
9b82c6b21e packet-infiniband: Fixed some PortInfo:CapabilityMask bit names
c04c92fbf9 packet-infiniband: Add first and last to RMPP_Flags
b3f4ca6077 packet-infiniband: Fix some SM class attribute IDs
92dc84cff9 packet-infiniband: Fix SA MCMemberRecord attribute name
8894195a47 packet-infiniband: Use SA rather than SMA as Subnet Administration header
b9c5601dd8 packet-infiniband: Removed erroneous MadHeader comments
71389177e4 Add Decode As support for RTP payload
cd3948f99e Add backslashes to definition of WSUG_TOOLS_HELP_FILES in docbook/Makefile.am
6f382fed37 DOCSIS: RNGRSP: formatting of equalization coefficients
b227943e66 Exported PDU: apply EXP_PDU_TAG_COL_PROT_TEXT whatever the next_prot_type tag
e00162301b Ensure endpoint members of packet_info structure are initialized in packet.c
f6edbcd643 mqtt: Simplify message decode matching
be625b9be7 Fix Elasticsearch hex dump
5d9c8ecbc1 Remove eroneous DoD association by deleting IANA entry.
78ee8c419f Do not register proto_reg_handoff_XXX callback when not required
dd1f75a53e ZigBee ZCL Sub-Ghz Cluster dissector
c571e69208 [GTPv2] Add dissection of 8.127 Header Compression Configuration.
dd4f8d08b2 ZigBee ZCL Keep-Alive Cluster Dissector
062ca10cff ZigBee ZCL MDU Pariring Cluster dissector
93c358cb5d FTP: links between setup and command frames
66b441f3d6 Add ability to create endpoints through conversations
d518f28b39 configure: Fix pcap-config --cflags command substitution
7e4723a589 DOCSIS: add burst descriptor types. Fixed some bugs.
50c337f40a mqtt: Add message decoding
e8c7975b6f s7comm: Several minor improvements
5bea387c2c HTTP: Update status codes
649c81b83c Qt: ByteViewTab Fix tabs creation
56a130a152 ByteViewText: Remove epan dependancy
c5165f325b conversation_table(.h): fix parameter 'ptype/port_type_val' not found in the function declaration [-Wdocumentation]
ec43b0faa6 Deduplicate Elasticsearch output
e14f1ad37d .mailmap: update (of October)
6d8661ceef Fix segfault in Elasticsearch output
3a1f958cf8 Remove unused netdb.h #includes
d887d76f27 [BSSMAP-LE] Correct dissection of 10.20 Positioning Data.
90867dd8e3 [BSSGP] Add PEI
d21eb05eba [BSSGP] Fix IE numbering in PERFORM-LOCATION messages.
9a464fd9bd Avoid asserting with EAFNOSUPPORT
e4ac91091d tshark doc updates
0de8c6f4c7 FT_IPv4 fields' values are 4-byte integers, not structures with a pointer.
bbae1d25c2 Fix indentation.
e73571117c [BSSGP] Fix decoding of Paging Attempt Information in PAGING PS.
9008d7f867 Fix assert when trying to display an IPv4 address
d597b5d61e Remove port_type values not set in pinfo->ptype
39ba9d4e7f Add wsutil/inet_ipv4.h.
dd1c18dd03 Make FT_IPv4 a bit more like FT_IPv6.
734c5b35a5 Get rid of ipv4_get_net_order_addr() and ipv4_get_host_order_addr().
3630a447d9 Get rid of unused #defines.
62b870a722 Do not assert in ws_inet_ntop()
bebd79aae9 parlay: Add another pragma to disable warning
63966ec5d5 Use endpoint_type in conversation tables and hostlists
765a67b68a "Hardcode" the port types used by Export PDU functionality
1e8e9a807f make-manuf: Fix a comment.
abfb644117 Add conversation endpoint type
1bc6d4e965 Diameter: Add Huawei DCC AVPs
fe8d897e25 sizeof(buf) is not what you want here
7507b11ec4 Improve our ip6_to_str_buf() implementation
de1b26a3c6 More ws_inet_ntop() tweaks.
a25af02ef7 Clean up processing of encoded addresses.
930f634515 [Automatic update for 2017-10-29]
78f9a07f0a Remove unused epan/compress/ source code
e1ef732c11 Get rid of MAX_IP_STR_LEN and MAX_IP6_STR_LEN.
83a4eadc07 wtap.h: Replace literal buffer size with WS_INET_ADDRSTRLEN
ce25b358a9 Go with the RFC 2133-and-successors values for IPv4 and IPv6 address strings.
0527747e23 Retire use of getprotobynumber()
18237cfd15 configure: Display ssh_user_agent as a libssh sub-option
7dbc520d57 Privatize the conversation_key structure
db3be9f850 Remove display of "old" key in GTK configuration hashtable dialog
051dcd1086 Fix bug in FMPUX heuristic dissector
7df5fcdc51 Share use of conversation_hash_exact
23afd9a184 Convert to using find_conversation_pinfo where appropriate
27c10ed72e AMQP: Add dissector table for versions so they can be dissected with Decode As
5907d17b9a QUIC: Display Connection ID (CID) on hexa
b0edc623b1 IEEE 1905.1a: fix an infinite loop (CID 1420355)
695d8fc318 MOAR PRE-ALLOCATED FIELDS.
2b615cf322 Also display the protocol with -G dissector-tables.
985c0594a5 Indicate Decode As support in the -G dissector-tables output.
a1218446d9 Put all the 11n vs. 11ac stuff together.
7ddfee9aea tshark: Use -G help instead of -G ?
7c9ec1d13c Don't add for "Decode As" if the dissector table doesn't support it.
89e40fad29 packet-knxnetip.c: Fix bitmask
c6c709490c Q931: Fix Q931_ISO_IEC_STANDARDIZED_CODING value
ce181cbc87 DOCSIS: DPD: adding modulation list to info column
087faa2488 Always provide value for Decode As selector column
86302a7622 s7comm: Syntax-id decoding of frequency inverter parameters
86cb152b2f peekremote: Support properly 11ac MCS rates.
3a6552744f Add find_conversation_pinfo
f24651493d OSPF: dissect_ospf_bitfield -> proto_tree_add_bitmask
4c8dfe6f6e Autodetect more AMQP 0-9 captures
c59601eeea Remove AC_PROG_GCC_TRADITIONAL from configure.ac
398dc81127 Change NewCo to new Company name, Aliv
e2afd06e65 YACC is set to the missing script if not found
764431f882 autotools: Fix LN_S usage
42f5aa4566 IEEE 1905.1a: fix an infinite loop (CID 1420356)
33d28030b1 [AMR] Change the Payload type preference to a range and have separate ranges for AMR and AMR-WB.
395c54c489 [BSSGP] Fix decoding of PERFORM-LOCATION-REQUEST.
bb7511bccf [BSSMAP-LE] Add dissection of 10.18 Location Type.
4ee492e910 OSPFv2 Segment Routing extention support with RFC7684.
545f200224 PFCP: Dissect Node ID: Fix length of FQDN Node Id Type
0a033cdc65 IEEE 1905.1a: remove an unused hf variable
b085418501 IEEE 1905.1a: add what seems to be missing breaks
4330b268b2 debian: add ws_compiler_tests.h to libwsutils-dev.install
db41ccd009 Device provisioning protocol: Fix a last issue with DPP and Configuration commands not being searchable.
42a9e893fb Clean up a bit.
1ceab868cd TRANSUM: File loading slow with transum enabled
4e4f1debb7 Fix typo.
e82adfba74 proto.c: do not set an item length longer that the remaining tvb length
ed20250c13 proto.c: protect against buffer overflow in proto_find_undecoded_data()
a0973d0f94 Move the compiler version tests to ws_compiler_tests.h and use them elsewhere.
ea49c337c5 Include VLAN ID in key for ICMP request/response tracking
05b1d35586 Initial coding of the ieee1905 dissector with Multi-AP support.
b4a6f4e244 oss-fuzzshark: add missing include to fix implicit declaration of color_filters_init()
6d092c1344 Whitespace cleanups.
985a8f297b Move a comment to where it belongs, expand another comment.
6ddee4aab2 We don't need to define sockaddr_storage.
fb160e53c8 Use more than just "does it claim to be GCC?" to test for attributes.
b7f7bee8cf CMake: Set the Windows build target to Vista.
de6fcf2f21 Fix indentation
ac804b59e2 Improve our inet_ntop() wrapper
296a36698b configure: Remove profile-build option
3bafae200f DOCSIS: added Energy Management and CM Status Ack modem capabilities
52332e3f9a PFCP: Fix offset after decoding Message Length
91ae90ba82 ipv4_get_net_order_addr() is no longer an exported function.
b1147a6033 Rename some IPv6 address test functions.
458c3c026e Add a ws_in6_addr typedef for struct e_in6_addr.
0a99d3ef31 Fix comments, remove a no-longer-needed include.
b331641f98 CMake: Remove unused header checks.
f97befbaa5 RANAP: Associate RTP dissector with CS streams
bfad9c56f9 CMake: Don't check for windows.h or winsock2.h.
859405fd2d Swallow up the stuff from epan/ipv4.c into epan/ftypes/ftype-ipv4.c and epan/ipv4.h.
e7abfc397b Clean up white space.
f46d4d6e3b Use a union for the IPv4/IPv6 address.
16309e41c8 configure: Fix --with-libssh argument name mismatch
93fba33e95 asn2wrs.py: use 64 bits variant for constrained integers using MIN or MAX keywords
eae216ef1d Remove replacement inet_pton/inet_ntop
4dc02b2fcf We're using inet_pton(), so we don't need to worry about non-dotted-quad addresses.
14080744db Get rid of a no-longer-needed variable.
6537c996a6 Clean up and expand comments.
90644c8372 Remove inet_aton() usage everywhere
c5529dd7f1 debian: Update symbols
749447fc80 Use "not installed for development" for libgcrypt.
091607f8eb rdm: Support NACK_REASON and fix a PD dissector
0e7d2542b0 Add 32x32 png file for UAT "clear list" icon
7318d8337a Remove leftover #define.
e1ef8e5f75 Test g_printf() thousands grouping flag at runtime
08a4903283 Fix registration of SIP atop SSL/TLS.
15ce2db13a mqtt: Use proto_tree_add_bitmask
14e687c1dd Make plugin support a runtime property
12d63c428f configure: Remove ancient inet_pton test for brokenness
6014bfe6fc Get program to the right working directory. Otherwise patches breaks.
bc924b6283 DOCSIS: fixed TLV name
c7918da8a6 Improve http object export for URLs with long extensions
b74af85147 ssl-utils: Add export tls13_hkdf_expand_label
6e3133c41c AirPcap is Windows only, reflect that in about dialog
182d9deb08 Add "Apply as filter" button to Coloring Rules Dialog
a16126fffb QUIC: Add draft-07 value_string
de066346a6 mqtt: Fix some mistakes from previous commit
89fe6629b7 [RFC] dissector/mqtt: Fix handling of fixed header flags
535ac5832d Fix make distcheck
ce3ce9e70e [Automatic update for 2017-10-22]
b91089befc Add IANA arc and first entry (MUDURL) for lldp.
b913bcc13a NFSv4: Fix for duplicate StateId hashes
aa04d2355e autotools: Build and install user guide
b0432442c6 [Automatic update for 2017-10-22]
61380f9504 Add button in Qt UAT dialog/frame to remove all UAT entries at once.
4e3114d01d Eliminate #include <epan/oui.h> from dissectors that don't need it.
85820a8354 Diameter 3GPP: call XML dissector for Civic-Address AVP payload
0d9b8eaf08 Warn the developer if we're building with GTK+.
b289699ace Remove oui_vals value_string and epan/oui.c
0f868cfeb0 nfapi: fix 'nfapi.p7_message_header.m_segment_sequence' exists multiple times with NOT compatible types: FT_UINT8 and FT_BOOLEAN
0088d010ed Qt: fix crash after loading SRT dialog
c23e3761a5 file_util.c: do not leak service handle
0a6c51e4a0 autotools: Improve SUBDIRS usage
e6e8b7b662 autotools: Sort out how we handle plugin.c
d64c300522 Do not add Npcap path if npf.sys service is found
4273eced0c cmake: fix Qt build with CMake 3.0.0 and 3.0.1
fd1d13567d LCSAP: fix retrieval of XML dissector handle
ea1476c4f0 Suggest using CMake rather than autotools.
7aa5630d1e TCP: Add a documentation note.
c1807eec78 Add more notes about Asciidoctor.
0870f8586a Remove duplicate values in pfcp_pr_time_unit_vals
2323b20779 Correct duplicate values for csi_rs_class_vals
15c4382f17 FP Mux: disable heuristic dissector by default
d291d1a423 Update enumerations for SISO-REF-010 v22
5fd13dac12 fpmux: Fix error string and comment
bc880f6c3e FP Mux: reject empty tvb
288973ff74 FP Mux: create conversation if it does not exist
b580bbfdd2 FP Mux: do not register UDP port 44955 by default
e5755a6213 FP Mux: fix a typo in preferences
d8fdc135c4 Update packet-kerberos.c
2196fcb008 Refresh wsutil/Makefile.am
45fbb287b4 autotools: Remove abi-compliance-checker code
c703ba52ad DOCSIS: Fixed bug where OCD TLVs are nested
2575a2e9a8 autotools: Sort out how we handle register.c
dfa893b1cf cmake: set CMAKE_AUTOUIC and CMAKE_AUTORCC to avoid CMP0071 warning
b85b946a94 Add FP-Mux dissector
5a85f5a40b SMB2: accept and save empty filenames on CREATE requests
bbb1309741 Added default for every switch statement
1ac9db4ca6 Protobuf: Fix format error
070e561ed9 autotools: Smaller cleanups
96d6267e2d ZCL SE Octet Strings: Dissect zcl se octet strings as length and data
7cfbd2b9ba Suggest CMake if Qt not found on Darwin; say "not installed for development".
55b0c251a0 autotools: remove macOS Frameworks support
1d238ec636 autotools: Remove setuid-root.pl
ca7f204576 dissector/ptp: fix typo - should be ptp.as.sig.tlv.flags
f6915bef29 SMB2: rename QUERY_INFO buffer input fields and parse Reserved field
a8a0d5ff98 autotools: Fix bogus checkAPI targets
6f9630561f [Bluetooth] Prepare for adding a BT Mesh dissector.
f19a2c0b8c CMake: increase minimum required version to 2.8.11
a3ba3ba943 CMake: fix Qt build with CMake 2.8.12 and before
731434cbca nfs: fix nfs dissector to show correct mirror and data server counts
560945336c Bugfix Decode As dissector table selection.
3d78077f7a CMake: fix build regression with CMake 3.0
b6ab301275 Remove GTK ige mac integration remnant from configure.ac
b5505fd451 ssl: regression fix for decryption with renegotiation
46f4664b29 checkAPI: error out on empty filelist
9cfb746e65 nfapi: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
4acce81d12 nfapi: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
ba92b90f8b lorawan: Fix Join Request and Join Accept
356d6b8db0 GTK: Remove OSX integration library support
0a3cf5d5cf protobuf: no previous prototype for ‘sint64_decode/sint32_decode’ [-Wmissing-prototypes]
dbbaa41362 autotools: remove some macOS specific build options
0d6c5a79eb dissector/mqtt: Fix some inline comments
1a8143172c dissector/mqtt: Add the protocol version string
5967621d19 dissector/mqtt: Add the MQTT protocol description
f7054dcf05 RSVP: fix some typo
d3f636ece0 cmake: fix CMP0026 deprecation warning in CMake 3.9
282b59a853 [RFC]androiddump: Support extcap-dlts option
2cb717ec78 cmake: remove and reorder unused cmake policies
1dd0111f5e Initial submission of the nfapi dissector
21c030ca75 packaging: Fix RPM spec file
55e0503830 autotools: refresh rpm-package target
cb89fdd1f6 Add support for BASE_OUI
2663881c37 rlc: Fix bug in 'RLC over UDP' dissector
6aba76666d rrc: Dissect algorithm capabilities
d0a4a614f9 plugins: Remove COPYING and NEWS
52bcdda04e ZigBee ZCL: Add additional On/Off cluster commands
9764cd0a83 autotools: make maintainer-clean should allow rerunning 'configure'
f89b8ccff4 Makefile(.am/dissectors): fix indent (always use tabs)
2563f9dd79 plugins: Fix -Wmissing-prototype for plugin_register()
9d49e13166 Remove superfluous null-checks before strdup/free
37ccb77a1a Fix comment
9ac61baa86 autotools: Make some installation hints more visible
f053b082cd Revert "autotools: dispense with some installation warnings/notes"
79cdf3a820 autotools: dispense with some installation warnings/notes
2ef359cdae [Automatic update for 2017-10-15]
9d189c7e20 ssl: assume everything after CCS is encrypted
b5948a042a autotools: dispense with desktop-file-install
5842fe4afe autotools: dispense if-else shellcheck test
d4b0fb5773 autotools: remove unused variables
1dea7f3dc1 Rename ui_util.h -> ws_ui_util.h
af09db8bd3 Tshark: Optional packet summary for Elasticsearch
ddf6526256 FindPOD.cmake: look for pod2man.bat
c4fbd43ade configure: Fix PCAP_LIBS without pcap-config
2ecc51f28f Some trivial fixes from running cppcheck.
c2f1ab1cbc Update comment.
0943d6ee9d FP Fixed bug in heuristic dissector
9bba3866ff CMake: Allow user build flags to override default build flags
68ef879711 docsis: fix 'docsis_vsif.gex.sav.spr.static_prefix_address/.gex.imja.imja_ssr_source_prefix_address/.imja.imja_ssr_group_prefix_address' exists multiple times with NOT compatible types: FT_IPv6 and FT_IPv4 Change-Id: I7c978870eb3cc54e718fe3c810f7b4e7f6ea67c9 Reviewed-on: https://code.wireshark.org/review/23897 Reviewed-by: Michael Mann <mmann78@netscape.net>
1e0dcf8daf docsis: fix 'docsis_vsif.gex.extended_cmts_mic_hmac_type' exists multiple times with NOT compatible types: FT_BYTES and FT_UINT8
337f49243f Add ptvcursor APIs that return the values it retrieves
32d31e55ae WiMAX ASN CP: Leak less memory.
f3ba040479 win-setup: Don't bother downloading UPX.
99fd0cfb05 FTP: setup conversation properly for PASV sessions
5ad0579beb IEEE 802.11: fix a segmentation fault introduced in gd6eda2a3
2a8ab239bd [TCAP] Make "tid" a generated item rather than hidden to make it obvious that it exists.
da8dbd2471 infiniband: add PSN and RETH DMA length to infinibandinfo struct
b363e46ad4 IEEE 802.11: add missing breaks
9551aca9a6 Add --print as an alias for -P, to match tcpdump.
b2467fddb1 ProtoBuf: Remove an unused variable.
95c50e3dd7 Decode SNR in Compressed MIMO Beamforming report per ieee80211at_2013 sections 8.4.1.{29,48}
6ef693dec1 [Solaredge] Fix SuSE 11.4 build packet-solaredge.c:1013: error: declaration of rand shadows a global declaration
8fbad3dd56 Start of adding Protobuf (Protocol Buffers) dissector.
3444d41fd0 [GSM SMS] If the digits are E164 International number add an E.164 filter.
698aa24165 Change FI_VARINT to account for FI_BITS_XXX flags
6b466a9e4f [gvcp] fix extendedblockids check and resend cmd parsing
d72a18faad Fuzz: Limit the number of packets we process with Valgrind.
95ce7daf65 infiniband: fix OpCodeMap string for UC_RDMA_WRITE_MIDDLE
e8dbf386d8 Fuzz: Write memory leak info to the error log.
3bfb9aabe0 [Diameter 3GPP] Fix bitmask in feature list B26 and add B27.
d8d60b4980 Add ENC_VARINT_PROTOBUF
c6a0e2a791 packet.c: fix a control flow issue reported by Coverity (CID 1418671)
1df866d99e ftypes(.h): fix indent (use tabs)
14107eec71 proto(.h): fix indent (use spaces)
6628fdf54b [Automatic update for 2017-10-08]
ddb754243e X2AP: fill gaps in extended value string array
eb5b2a211d S1AP: upgrade dissector to v14.4.0
750eb3637e tap-flow (ui): fix no previous prototype for ‘register_tap_listener_flow’ [-Wmissing-prototypes]
53706c80d6 RPC-over-RDMA: fix write list chunk count
471736ece0 DOCSIS: added vsif general extension dissection
6172627534 Make osx-app.sh a configured file and remove Autotools targets.
ae794fc5f2 M3AP: avoid appending m3ap multiple times to frame.protocols field
fa8fd247cf M2AP: avoid appending m2ap multiple times to frame.protocols field
0a4c646cbc LPPa: avoid appending lppa multiple times to frame.protocols field
155f8d5288 X2AP: avoid appending x2ap multiple times to frame.protocols field
82acd85bcc S1AP: avoid appending s1ap multiple times to frame.protocols field
561914bd20 gRPC: Several bugfixes
5a99830e21 Qt: Free dynamic menu actions at shutdown
867e6f0e00 qt: Fix leaked dialogs
3c9f440ac6 sharkd: export field filter string.
7219f6467f HTTP: Add http.file_data based on the captured length.
8804ddbe2a gsm_sim: fix conflicting entry in its value_string
1961297a55 sharkd: check if JSON value is string or primitive (true/false/null/number).
ea6e4b577f sharkd: support for user column-set in "frames" request.
70996dc669 Qt: add preference to restore display filter after Follow Stream
0553cda6da Instroduce col_finalize(), to allow creating column_info based not only on preferences.
f61c381b5a Remove unused code from osx-app.sh
3cddb369d5 TLS: enable OCSP status dissection for TLS 1.3 and DTLS
064038bb1b DOCSIS: added dissection of IPv6 classifier TLV
5826a8532e macOS: Fixup app bundle rpathification.
2c89e6c448 E.212: update list to Operational Bulletin No. 1133 (1.X.2017)
dcf7ca7abd interface_toolbar (Qt): fix commas at the end of enumerator lists are a C++11 extension [-Wc++11-extensions]
ec485f3f52 wimax(-int.h): no newline at end of file [-Wnewline-eof]
1d29691bb6 prefs_filter_expressions (GTK): fix no newline at end of file [-Wnewline-eof]
c09c6531ba conversation_table: Export all functions for external plugin use
27c7aa38aa infiniband: fix ISO C does not allow extra ‘;’ outside of a function [-Wpedantic]
2777003e12 Add version check for plugin compatibility
d477ea35a9 nfs: fix typo on new xattrs attribut
5d672c469d nfs4: Add ACCESS_MASK support for xattrs
e670f9c80b TLS13: fix SCT dissection since draft -17
83cb6ff625 GTPv2: fix out of bounds access when decoding Private Extension IE
96c07c6471 HTTP: fix for ICY responses which were displayed as HTTP requests
a6dec130a9 PROFINET: Fix undecoded signal value in DCP Set Request.
ab01a1eab1 QUIC: rename Stream ID Needed by Stream ID Blocked (draft-06)
06548c905e QUIC: Add draft-06 version (value_string)
6a083c1256 ZCL Events Dissector: Increase number of subtrees
e3ea990450 btle: Add preference to detect retransmission
1f8e7c45e1 Tshark: Prepare Elasticsearch output deduplication
ed49b3dcfe Dissector: SolarEdge inverter monitoring protocol
f54d07b019 FP: Add heuristic FACH 1 dissector
4d563d8f10 Remove the SVR4 packaging assets.
5c2a5dbdcd plugins: Improve output format
b7107bdf9d CMake: Fix extcap plugin directory
90d32f8313 Fix WiX installer
6e24d5f690 Unsplit "m2m" plugin (wimax mac-to-mac encapsulation)
e155e91599 stats tree: (trivial) reformat assignments
9ab17810bc stats_tree: fix the comparison routine for COL_AVERAGE
d8903ce397 simplify some include file paths
be3b1291d4 GTPv2: Add individual IEs to subtree array
797a9bf67d [Automatic update for 2017-10-01]
23e2b1f948 Fix make distcheck
cf79a87705 WiMAX: Fix possible crash during protocol registration
bf580c066a Make make-dissector-reg.py pay attention to word boundaries
73504255fb Fix typo in make-dissector-reg.py
6106196232 btle: Don't ignore frames with incorrect CRC when detecting retransmission.
4ef7894862 btle: Improve retransmit detection
d3e34586c5 btle: Ignore retransmitted frames in reassembly
fbcd64deb8 PortableApps: Don't ship development files.
ec9e555456 Have dissect_7bit_string() return a const gchar *.
0419deb63b radius: display in same fashion as Diameter
9cb1892f38 epl: fix od_idx display in tree
f0e12f0fd3 Remove TPG plugin and dependencies
13184fbf3a HTTP: fix the Response Version
b301194717 ZigBee ZCL SE comments: Fixed comments and descriptions in ZCL SE. There are no functional changes.
cd90f732a1 Improve frame.protocols accuracy.
3d661f2fe5 GRPC: fix character check (CID 1418526)
6ab87ad77d LTE RRC: upgrade dissector to v14.4.0
f835875499 GRPC: fix a control flow issue (CID 1418525)
dc527152a8 RRC: upgrade dissector to v14.4.0
492da78a2c nfsv4: Implement the xattr support for NFSv4
c634f2b184 Capinfos: Add SHA256. Remove MD5.
5ecfe0c565 sharkd: support for frame comments.
e8492934d6 WSUG: More tools updates.
f48c2cb5d4 LPP: upgrade dissector to v14.3.0
0e63979730 plugins: Move the build dir scanning code to a separate function
9515fba1fa Remove "easy_codec" source
a1969dd6f6 plugins: No need to allocate a new struct
a269ae1b6a Rename "ws_version_info.h", also .c
221a2bcbd0 Move some DIAG_OFFs to make code less ugly
cd6ca0da41 DOCSIS: Adding Attribute masks to Service Flow
85c0a78073 plugins: Use g_slist_prepend() instead.
a0eb34232f GTP: fix display of GTP Prime in frame.protocols field
e60319e54b coap: Added dissection for LWM2M JSON inside CoAP protocol
f2404376f8 plugins: Build the description string while loading
c5c05911c6 Add GRPC dissector
b89726db6d ZigBee ZCL SE Events: Dissect commands within ZCL SE Events Cluster
0b76a4957d plugins: Sort the descriptions
f022a629f1 plugins: Use hash table for book-keeping
b45a7ba7df HTTP2: Store all packets' header indexes in header_stream_info struct
5e2c08c5d0 ZigBee PP Dissector: Increase number of subtrees
799f4f0e14 Editcap: Don't treat plain -F and -T as errors.
a8a3903e55 Qt: Free MainWindow at shutdown
e2d43e7d4b Docbook: Automatically generate the tools help output.
f3d9766cbc Qt: Fix leaked interfaces array in Wireless frame
a9b4f31d4a NAS EPS: upgrade dissector to v14.5.0
4efa11528e 3GPP NAS: upgrade dissector to v14.5.0
8615081a09 plugins: Fix crash loading binary module twice
8b5b843fcb udpdump: Add missing include for timeval struct.
94af9724d1 macOS: Fixup plugin signing.
33c00a6741 text2pcap: fix crash when there is no argument
f649064130 Add toy plugin to doc/ as an out-of-tree build example
625bab309d Docsis: fix an infinite loop
194d30badf packet-brcm-tag: Add Broadcom tag dissection
dc011cc53e pidl: fix field2name wireshark dissector test.
c1a5531b71 pidl: Fix array range checks in python output
a98d108916 python3: Use "y#" instead of "s#" for binary data in PyArg_ParseTuple
141637d327 pidl: Fix Coverity warnings from duplicate NULL checks.
5ea8c70c05 python: pidl: Port Python interface generator
097de92cfb pidl:Python: use of pytalloc_GenericObject_reference*() for pyrpc_{ex,im}port_union() wrapping
4861fbe121 pidl:Python: replace pytalloc_CObject_FromTallocPtr() with pytalloc_GenericObject_reference_ex()
75f78cd49a BUG: https://bugzilla.samba.org/show_bug.cgi?id=12601
5bda9bd4cb pidl:Python: add PyTypeObject objects for function structs
fd81dea208 pidl:Python: split out a PythonElementGetSet() helper function
1dd1a13e9f pidl:Python: the py_{import,export}_*() functions can be static now.
484d114b36 pidl:Python: make use of the pyrpc_{import,export}_union() functions
0517a05b54 pidl:Python: provide a PyTypeObject with METH_CLASS __import__() and __export__() hooks
1373f619f9 pidl:Python: provide the abstract syntax as <module>.<interface>_abstract_syntax
aff94cf8f5 pidl:Python: prettify names of constants
d7311431b2 pidl:Python: improve the .doc string for the get/set elements
1cbb04eaf1 pidl:Python: make use of NDR_ERR_CODE_IS_SUCCESS()
e3acb2e3eb pidl:Python: __ndr_print__ functions don't get arguments and need METH_NOARGS
856ce75060 pidl:Python: check the return values of talloc_ptrtype()
da01add662 lib: modules: Change XXX_init interface from XXX_init(void) to XXX_init(TALLOC_CTX *)
3183465351 s4-rpc_server: Allow each interface to declare if it uses handles
07a21ba6f6 s4-rpc_server: Add back support for lsa over \\pipe\\netlogon optionally
dc7a03486c pidl: Make dcesrv\_$name\_interface "static const"
a19fdccf51 pidl: Use a static const initialised struct in dcerpc_server_$name_init(void)
ad0417cb78 libndr/compression: pass down compressed length in ndr_pull_compression_start
7c56a5affb pidl:NDR/Parser: add missing {start,end}_flags() to ParseElementPrint()
8fdcc95456 pidl:NDR/Parser: initialize [skip] values in ndr_pull_*
67522b6130 pidl:NDR/Parser: add "skip_noinit" element
d037bc66c1 pidl:NDR/Parser: fix "skip" for pointers
7bb3df70b1 pidl: use ndr_push_charset_to_null() when [to_null] keyword is used in IDL
2558728ff9 s4: COM: Remove talloc_autofree_context() from (unused) COM code.
c73e940526 pidl: Make static struct api_struct also const
18d258ac46 pidl: Change *_get_pipe_fns() to return const struct api_struct *
f6d956cf92 pidl:NDR: add ReturnTypeElement() helper function
9ab7b538f0 pidl:NDR: keep interface->{ORIGINAL}
181d9b1d26 Windows: fix NSIS and WiX installers
1f3e365341 GTK: Fix warning for missing action
15b6776992 sharkd: close server file descriptor in child.
7517b73e74 Replace DISSECTOR_ASSERT(hfinfo->type == FT_STRING) with DISSECTOR_ASSERT_FIELD_TYPE.
a9963c45e7 Move DISSECTOR_ASSERT_FIELD_TYPE_IS_TIME after __DISSECTOR_ASSERT_FIELD_TYPE_IS_TIME().
bb9e8d109e Use proto_tree_add_ipv4(), not proto_tree_add_uint(), to add FT_IPV4 fields.
21f6dca753 sharkd: don't go to background when using stdin and stdout.
d7ec2cbc38 autotools: Use package flags to configure libpcap
69bfcbc67e CMake: Print build flags just before feature summary
cf4abe1376 CMake: Pretty print PACKAGELIST
dcf52a1695 Install libwiretap and libwscodecs headers
b44b7dee03 [Automatic update for 2017-09-24]
26a8b576f4 megaco: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
12684c7e4e Don't use proto_tree_add_uint() with FT_BYTES.
e345d19b95 GPRSCDR: decoding of PDPType
b13d5eac26 Don't look at the comment or process table with pre-2.2 files.
a065bb586e WebSocket: remove useless pointer checks (CID 1418346)
c0fc66c670 PFCP: fix a typo (CID 1418345)
c5403b6c1e Add lcap file extension to nsis and wix installers.
fd4dc6f115 plugins: Fixups for g9260461f4f
caa9b19107 ZigBee ZCL SE Metering: Dissect functional notification flags and notification flags 2 to 5
e7cc0279ab Have sequence analysis properly use filters from taps.
3c8750dfb3 Revert "CMake: Print a warning if CCACHE_CPP2 is unset."
ed96750784 nsis: Always create the extcap directory
b4fc86d2d5 ZigBee ZCL Attributes: Set length of attribute subtrees
ed1ecfb39c CMake: Print a warning if CCACHE_CPP2 is unset.
5f667694d3 Add Flow Graph functionality to TShark
620d54b1e3 Complete move of tap-sequence-analysis.c functionality to sequence_analysis.c
bd28737d7f Diameter 3GPP: update S6a/S6d/S13/S13' AVPs
7ec31d0617 [PFCP] Add more IE dissection.
137a4456d9 packetlogger: Add Syslog and Config types
ed15895221 cmake: look for Qt5 from Homebrew on macOS
e2a2618d9b UMTS RLC: Removing unused 'is ciphered' function
a8a2a8776b FP: Removed unused code
6be572006e plugins: Add backward compatibility for personal lua scripts
25ba538bc5 plugins: Be more descriptive in "about wireshark"->"folders"
f1501b82a7 [MEGACO] In dissect_megaco_eventsdescriptor() check for dm(DigitMap) not only d as it may get confused with dt(delayTime).
b1395ce1f7 tibia: fix 'tibia.vip' exists multiple times with NOT compatible types: FT_BOOLEAN and FT_UINT32
a5ed8266bf messageanalyzer: fix 'etw.ndis.packet_metadata.wifi_channel' exists multiple times with NOT compatible types: FT_INT32 and FT_UINT32
fd0e0513f0 PFCP: fix 'pfcp.mp' exists multiple times with NOT compatible types: FT_UINT24 and FT_BOOLEAN
1768cea96f GTPv2: fix 'gtpv2.uli_lai_flg' exists multiple times with NOT compatible types: FT_BOOLEAN and FT_UINT8
ee4c70b92c Add version.conf to git-export-release.
72415b5066 FP: Comments Fixes
6db17741e4 FP: Properly configure standalone PS RAB DCHs
eefec69861 UMTS RLC: Hide deciphering preference by default
e27870eaa6 RTSP: fix stack use after scope error reported by ASan
f9207b0f6c Qt: Restore ability to display RTT by sequence number
ded1d1089a CMake: fix extcaps dependency list
4458d0b59f Snort: check executable and config files exist before trying to run.
a17bbc1841 qt: Fix some leaked menu objects
3ce30eb1fd Fix leaks related to recent settings
8f4692f6f9 Explicitly add ICMP and ICMPv6 to Flow graph.
b5759cafae Integrate LBM UIM Flow dialog into "regular" Flow diagram.
8db4ddd40c Rename get_plugin_dir() for consistency
bbbec5552d windows-common: remove volatile qualifier from num_aces
70263eade4 Qt: main window slots: don't connect setCaptureFile to DecodeAsDialog
253fcfa221 6lowpan: Create ifcid from AT_ETHER
0d869dae1e Sequence (flow) analysis: fill timestamp when creating item.
4930772178 WebSocket: check websocket_extensions pointer validity
941fac1be2 IXIA lcap support
dae91bcb90 [PFCP] Add more IE dissection.
1783a3b7df btle: Use bd_addr as link-layer address in data PDU
8615e78630 Disable flex-generated [-Wsign-compare] warnings
dd5875c487 Sequence analysis (flow graph) optimizations for dissectors
8a25ac7306 qt: Fix leaked style for OverlayScrollBar
16fc190303 prefs: Fix leak when parsing empty pref string
6bc4de9a26 Qt: Add key events to accept and reject changes in FilterExpressionFrame
f681855737 Qt: Fix FilterExpressionFrame layout
59fce46d01 Qt: Add key events to accept and reject changes in PreferenceEditorFrame
939ea8c8ed Qt: Make ColumnEditorFrame use FieldFilterEdit to get a autocomplete list
3cb95b0521 Qt: Add key events to accept and reject changes in ColumnEditorFrame
adf170c23d WebSocket: add permessage-deflate extension support
e79320f2a0 automake: Add -Wcomma as a warning flag.
96100963af TDS: Fix some URLs and add a note about our heuristic check.
b365a3e19a sharkd: support flows (sequence analysis)
c41bab1f66 Move most of sequence analysis code from ui/ to epan/
a593fce94c Update list of symbols for Debian.
e193309318 [PFCP] Dissect more IEs.
88b88a0e80 Qt: Fix -Wimplicit-fallthrough with GCC
0a5205b412 [PFCP] Add more IE dissection.
8240518f91 TLS13: restore draft -18 support for HRR
aa2b59cf5e TLS13: restore draft -18 support for CertificateRequest
ecb6c88c07 Qt: Improved ColumnEditorFrame validation checks
40f737dabe Update ldp TLVs from iana webpage (scripted).
b40ad7c2ff ZigBee: fix buffer overrun in zbee_sec_add_key_to_keyring
8dbb21dfde DMP: check 7bit string length before decoding it
e77d4dffff RRC: check wmem_strbuf_t pointer before using it
17651065a5 cmake: Add option to disable -Wframe-larger-than
66d39cc60b Add comment to docinfo.xml to note make-version.pl update
0bfafb3e7a plugins: Change personal plugin dir path on Unix
9260461f4f plugins: Use minor version number for plugin install path
978f6b4e1a plugins: Fix paths to match WSUG
e8e8b0d0b4 [Automatic update for 2017-09-17]
21d2158a0b CMake: Initial work to install headers for the benefit of plugins
6c4b9360e5 Fix the trivial fix.
51aaffb5f6 ieee802.11: Add Element ID Extension dissector framework
a5c79b8ec8 ieee802.11: Add FILS authentication algorithm number
4b8504f39a Inquire what frame_size < msdu_length means.
b93ef37da2 _U_ is wrong in c++, as is Q_UNUSED (in most cases). The correct way is to not name the variable.
be995cc120 _U_ is wrong in c++, as is Q_UNUSED (in most cases). The correct way is to not name the variable.
27b074a615 make-version.pl: Update Wireshark version in User/Developer Guides
ec1a412cbd GTPv2: improve APN restriction IE
800c179dfa cmake: Add -Wcomma as a warning flag.
69250aa51e Add support for dissector tables of type FT_NONE.
7d65b573f2 Have register_decode_as_next_proto create dissector table.
d992e85fe8 Refactor Decode As dialog to use a model/delegate
c98a7363da gtp: add readable numbers
060eaaee51 gtp: correct order of eARP
2a89dff8f6 gtp: update of MS Not Reachable Reason
7cc677e561 wireless-timeline: handle generators that report incorrect MCS for some frames
de1798aefc btle: Add Bluetooth 5.0 LL Control PDUs
ccc5b44dea wslua: Disable -Wunreachable-code in lua_bitop.c
875a46d1b5 UMTS RRC: Call E.212 Dissector
e84c2e03e4 wslua: Avoid possible misuse of comma operator warning
3f8384d779 epan: Fix misuse of comma operator
8b11e37f81 Qt: Use Q_UNUSED macro for unused arguments
619c89dbd7 TLS13: add ticket_early_data_info extension (draft -18)
98d5174e1a Qt: initialize srt_data_ in constructor (CID 1417727)
72355a0817 epan: Avoid possible misuse of comma operator warning
b96b145f58 epan: Fix misuse of comma operator
7c23f56a4d Fix compilation errors when configured --without-plugins and without lua.
577671a160 Qt: Don't show text as invalid in disabled widgets
e7ef19efc0 autotools: Initial work to install headers for the benefit of plugins
c52a702ae8 couchbase: detect XERROR responses and dissect them as JSON
afb9ff7982 MBIM: stop pre sizing wmem arrays
f63fc33362 ZigBee: implemented a dissector for ZBOSS key dump
f3cf2ffd3a Move a test.
9e905abe54 Replace a magic constant with an expression that represents what it is.
1e26510a6a Fix comments.
4f34f4296c Remove the 4 octets of junk even if that leaves no octets.
2b0e08378f Allow distinction between bitmasked 32bit and 64bit unsigned integers in proto_tree_set_representation_value.
df85480630 Fix builds without pcap.
bdf10a239f UMTS RLC: Mark ciphered frames
ba95723473 PFCP: reapply gc2057c08f8 that was removed by g84272725b4
84272725b4 [PFCP] Dissect more IEs
dafb529a38 [Bluetooth] Update value string.
75853200c6 A number of 0 for actual_octets may just be an end of record instead of an error. Also fix some whitespace "errors".
a7621ca489 windows-common: fix compilation with GCC 7.1.1
b4d8b68d7c Fix: Segfault when "Update list of packets in real time" is unchecked
c2057c08f8 PFCP: try to fix compilation with GCC 7.1.1
d141bc13c3 [PFCP] Add more IE dissection.
2b8bd222b0 Qt: fix a segmentation fault when opening a capture using the menu entry
1f759e3b63 infinibnand: remove multi space before tvb (on proto_tree_add_item)
293df7cccb iso14443: reassemble APDUs from I-blocks
8c74580773 gtp: cleaner printout of IE Selection Mode
adf8236da7 windows-common: don't THROW() an exception from a dissector
f5b7fcee5b Qt: SequenceDialog no longer emits goToPacket.
d6dff9bc96 reordercap: initialize command-line argument errors functions
83aabe5500 CMake: Fix RPATH after ga338f87f33
c452878073 gtpv2(.h): fix redundant redeclaration of ‘dissect_gtpv2_arp’ [-Wredundant-decls]
7c258eedea WSUG: Fix global plugin installation path
69f0cb0cef wsutil: Initialize and store plugin personal dir
e7aa63746b packet-zep.c: zep.lqi_mode is FT_BOOLEAN, not a FT_UINT, so use proto_tree_add_item_ret_boolean
766a3a0332 Bundle Age Extension Block: Type-20 decoding changes
09b3af8f91 [SCTP] Update SCTP Payload Protocol Identifiers from IANA registry.
36018de81a [GPRSCDR] Fix display of iPBinV4Address and iPBinV6Address as IPAddr.
9bc8307867 Remove the OUIs in manuf.tmpl that cause obvious conflicts with IEEE list
4a56c6a728 [PFCP] More IEs dissected.
3689dc1db3 BTATT: add curr_layer_num to key tracking request / response
1d3ca5ad41 TLS13: add new Signature Algorithms
845835b8db srt_table.c: free table dynamic memory when calling free_srt_table()
18de993b7c Qt: free SRT table once the tree is filled
02b20a5a69 Qt: fix Diameter SRT statistics display
06584b7a43 Sort the Ethertypes.
38b40acb2d Qt: fix a memory leak when exporting packets
55dcb64558 infiniband: always return line for offset
5f5a898541 infiniband: always display reserved field...
27865070e0 infiniband: merge all reserved field
e7ec9c5538 infiniband: always return line for local_offset
53c9d25694 Revert "infiniband: fix bitmap for Local CM Response Timeout / Retry Count"
74436b5ace ssl: fix subdissection with multiple TLS records per packet
6bcf405338 Thread: replace g_strsplit by wmem_strsplit
1a89b51e41 RTPproxy: replace g_strsplit by wmem_strsplit
350676f272 ISObus VT: fix a memory leak when using g_strsplit
124cf779f0 HTTP: replace g_strsplit by wmem_strsplit
85d742ef26 DNS: replace g_strsplit by wmem_strsplit
4a2923d78b JXTA: replace g_strsplit by wmem_strsplit
d4df5b8ee5 pfcp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
81b4957f5a netmon: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
2154cb12a9 ISAKMP: Added support for the accepted Diffie-Hellman group number in the INVALID_KE_PAYLOAD
f662b1dac9 Tibia: Remove UAT error dialog in GnuTLS-less builds
80351694c1 .mailmap: update (of August)
c6e3fe5957 infiniband : Add value string for BTH opcode
371436cf4d [Automatic update for 2017-09-10]
0414dae7ec Tibia: Fix malformed packet exceptions on first pass
f2f281e90e Cleanup packet-zep.c
b9746b6833 Redirect to /dev/null, not /devnull.
26a5cd2d78 ws_cpuid: include ws_attributes
84ee66b9bc packet-dcerpc-pn-io.c: Fix potential resource leak
a24f366ceb Correct instructions for choco package for VS2015.
64f53c90b7 Netmon: Add support for process and system config type events.
1c6f6c691f sharkd: implement proper JSON string unescaping, based on JSON dissector.
585297b189 GPRSCDR: decoding of EPS QoS/aRP
df21aa9025 Use cmake_push_check_state() and cmake_pop_check_state().
935c055c18 DOCSIS: Fix compiler warning on macOS.
6a67ba5677 Add basic Tibia game protocol dissection
1c777ec044 DOCSIS: Ensure docsis_ucd has a registered dissection function
62c9a8a865 Add Tibia login protocol dissector
8dedebbf30 DOCSIS: Added support for version 5 MAPs (dissect_map_v5)
765fc1d533 NAS EPS: update version info
b4cd63921c RADIUS: Use two dictionaries (personal + system)
db63f75eab More [-Wmaybe-uninitialized] fixes with -Og
d38197bb67 Qt: Construct QRegExp only once
b57010039b [NAS EPS] Update Request type value_string.
f091ed83f7 CMake: Try to fix build error with i18n.qrc dependency order
09a9d22655 Message Analyzer: use G_GUINT64_CONSTANT() macro
6c87b5fdaa [PFCP] Add more IE dissection.
da01b0b5dc USB: use G_GUINT64_CONSTANT() macro
c4901ca31f MBIM: add multiflow extension dissection
8b9dc8c00c Netmon: fix indentation
e728e28f6e caputils: fix compilation without pcap.
d9477abd75 Bugfix NetMon System Trace dissection
40481a1e39 NetMon: Add support for WiFi Message
ecc3828be5 Add ETW Ndis (NetMon) support
ee258b61a4 packet-usb.c: Add support for USBPort Keyword
c1ef4693de CMake: Make plugin installation path use PLUGIN_INSTALL_LIBDIR
c6f99aea46 CMake: Move CPACK remnants and remove stale comment
7b6296ac5a ISAKMP: Added dissection of the RFC7427 Notify Payload "SIGNATURE_HASH_ALGORITHMS" according to iana IKEv2 parameters
d022091acf Qt: fix RTP/IAX2 reverse stream export to CSV
40869e6e50 openSAFETY: Add transport protocol for UDP
d0a91b27f2 plugins: config.h must not be included by public headers
143bc04ca7 Add NetMon System Trace support
5672ab00d2 MessageAnalyzer: Add support for ETW WFP Capture type.
494ede2aca packet-netmon.c: Add Provider ID to INFO column.
e4084f7bcd Ensure process info offset is "seek"ed when process info exists in NetMon file.
299bd4628a Fix unitialized variable warnings that popped up with -Og
0dee5c1911 Fix memory leak in wimaxasncp
970ed78492 [PFCP] Add more IE dissection.
5c4a96b58b QUIC (TLS): Add stateless_reset_token parameter
a6ad0a0191 [GTPv2] Correct packet_flow_id length.
0fb62a5fd0 LLDP  802.3 LAG TLV has been deprecated since 02-Dec-2011
2698324d28 Fix unit of measurement in category 048 of ASTERIX protocol.
4275f3de77 ZigBee ZCL SE PP: Subtrees not registered and dissect error
1cee1c95cc dumpcap: Detect extcap pipe from correct interface
d4efbc4101 Add NetMon Event Provider ID dissector table
8faa84d38b QUIC: Add STOP_SENDING frame
f7ff38bc78 QUIC: Add Statess Reset Token field on NEW CONNECTION ID Frame
83f727d73d QUIC(IETF): Remove GOAWAY
8bd04c8be3 IMF: preserve carrying protocol (e.g. SMTP, POP, IMAP) in protocol column
a2b084f6c5 Add support for WPFCapture "formats" from Microsoft Analyzer.
9f1c73edac [PFCP] Have an ett var per IE, add the grouped IEs Cause and Node Id.
0393c108bc Extra decodings for DOCSIS MDD message
2a9cab649e LTE RRC: add MBMS SIB messages to info column
ab39fac52e Diameter: NAS-Identifier and Acct-Multi-Session-Id are UTF8String
ed75d67394 [PFCP] Add basic dissector for Packet Forwarding Control Protocol (PFCP) 3GPP TS 29.244 V14.0.0 (2017-06)S
78a14e4c57 packet-nfs.c: Minor cleanup
209a78ea82 Qt: Interface Toolbar log dialog for each control
a338f87f33 CMake: Use GNUInstallDirs module instead of our own
8390744957 Add function to return version number at run-time
1d157ebeef Extra decodings for DOCSIS RNGRSP
20d0a90115 IPv6: Add routing extension header dissector table
3a68f85f91 IPv6: Add dissection for PDM destination option
08c3681e7e configure: Restore --with-pcap=<DIR> option
0f233e24d8 [Automatic update for 2017-09-03]
b5a54c3416 manuf.tmpl: mark comments
be42b2bdea IPv6: Split p_update_ipv6_pinfo() into parts
501f30ce5f RSVP: Add Session IPv4/6 P2MP LSP info
692b1175e4 Have a single IPv6 tap
2330ba1b3d couchbase: fix full-doc commands of subdoc
6fb8aa9a81 WSP: allocate content type string in wmem pool
a66a216820 Don't export structures used internally by dissectors for Export Objects.
1ef3866719 CMake: prevent unnecessary rebuilds due to version.h
e1a591fc74 Get rid of no-longer-needed patches to PortAudio.
8f555e4335 Kerberos: Add support for new etype values from RFC 8009
4b6a26d952 btatt: Fix show handle with unknown service/characteristic/attribute
ed254720fe Add support for NetMon NetmonFilter and NetworkInfoEx frame types.
2d93c4c06f RSVP: Add S2L_SUB_LSP (Class = 50) Object
6821e0ea6f Remove IP "dummy" protocol number
f16f6a3ef2 Avoid use of global protocol variables
5870352d8f Fix comment in addr_resolv.c
b7a9c02a50 H248: check that exported_pdu tap is listening before tapping packets
b974952b4c endpoint_dialog.cpp: remove a useless break
05ad9c79b8 bluetooth: Update bluetooth_uuid_vals
74deaf895a bluetooth: Update bluetooth_company_id_vals
45823736e8 btle: Add Channel Selection Algorithm
f89cedcd43 btle: Add Version 5.0 to ll_version_number_vals
e9b8a5839f Qt: Fix errors when compiling for Qt4.
5f1f891e2a RSVP: fix 'filter/host/rsvp_class/ti' was marked unused but was used [-Wused-but-marked-unused]
6f28f1a59e Fix MacOS build
588590c539 Read process info table from Netmon files
c199952f5c extcap: fix parameters save in preferences file
5178905063 rpc: remove two unnecessary DISSECTOR_ASSERT()s
63b66cc7c8 vxi11: remove some unnecessary NULL checks
8d13f14f95 Qt: Temporarily disable DP scaling on non-macOS systems.
541817f63c IPv6: Undo 'ipv6_ws' tap change
63628636af LTE RRC: add SCPTMConfiguration-BR-r14 message to info column
94ce35a9f9 Qt: check QVector size before accessing its content and not after
71697c5dab IPv6: Move duplicate code to update IPv6 dissection state to a function
3246582716 dmp: Improve a sanity check
445c0bb747 [GSM MAP] Propagate top_tree to external message handlers.
b2a24177e9 Add  P2MP LSP Tunnel IPv4/IPv6 SENDER_TEMPLATE Object
5830e890bc RSVP: fix some missing ctype...
f6b1965465 RSVP: Add value_string for all ctype
dc64d73800 Revert "Add -Wused-but-marked-unused as an extra warning flag."
b0f253e07c Revert "Add -Wused-but-marked-unused as an extra warning flag."
52823805b2 Add support for reading comments in Network Monitor files
32b27bf19d ZigBee add missing ZCL status code
1e0dc0637b Adding new Ixia netflow fields for DNS hostnames and class
8f3a3914fe Add Network Monitor Event Tracing event
f05f4893fa [ACSE] Get rid of global variable top_tree.
ed6239d17e [GSM MAP] Get rid of a global variable and use the new dissector_try_uint_new() interface.
37d06faed3 [ANSI TCAP] Get rid of global variable top_tree.
64eea6bb03 gsm_a_dtap: fix 'pinfo/len/add_string/string_len' was marked unused but was used [-Wused-but-marked-unused]
91caa91adf gsm_a_common: fix 'pinfo/len' was marked unused but was used [-Wused-but-marked-unused]
4402b67d7d RSVP: Add value_string for all ctype
b9ec3e71f6 gsm_a_bssmap: fix 'len' was marked unused but was used [-Wused-but-marked-unused]
e608345e06 fcoib: fix 'data' was marked unused but was used [-Wused-but-marked-unused]
6d5fcb7378 MIME based pcapng dissector: Fixup apparent copy-and-pasteos.
fa8a6a3eee extcap: check that argument parameter is not null before adding it to command line
7a71ec887c tshark: Add delimiter to both sides of packetlist arrows
c729027731 epan: Properly cleanup registered postdissectors
1f9990b765 NBAP: Refactor information storing per-packet
f8d0a7f003 CMake: We no longer support Visual C++ 2005 or 2008.
a303bc1f29 transum: clear the list of wanted hfids in file cleanup routine
6cd7d99cb9 snort: do not unconditionally prime tcp.reassembled_in
b3f5700ed4 sharkd: handle PREF_SAVE_FILENAME, PREF_OPEN_FILENAME, PREF_DIRNAME in dumpconf.
c9d0554840 PNIO: Fix another potential OOB write.
0f9935e9a1 WSDG: Fix up some markup.
26de091d1b cmake: add ENABLE_NGHTTP2 option
464679f80f extcap: Close control handles when done
287221e8d9 Free interface_options elements on cleanup
879920a2eb iface_lists: Remove locked field
8646596829 Fix leaks when active capture interface goes down
752c48f864 Remove README.vmware
f763a7d154 Note that we probably don't support HP-UX.
3b16cc8b21 iface_lists: Access ifaces member by reference
81c48eaccc Fix leak when removing interfaces from manage interfaces dialog
e26926432d Free interface elements on cleanup
8873c7e494 iface_lists: Access all_ifaces member by reference
76c231bd68 OSPF: fix LSA type filter
405a5335ef RSVP: Add value_string for all ctype
12c04e0529 Qt: Fix build without libpcap
74a79b28b0 infiniband: fix bitmap for Remote CM Response Timeout / Transport Service Type
db04fef13f prefs: fix memleaks with obsolete preference modules
018f6bff18 extcap: Interface Toolbar support on Windows
7aeff4fb90 Revert "infiniband: swap Local CM Response Timeout / Retry Count field"
231f3ea774 gsm_a_bssmap: fix 'pinfo' was marked unused but was used [-Wused-but-marked-unused]
1aaa904622 Add -Wused-but-marked-unused as an extra warning flag.
d846a3e8b9 Add -Wused-but-marked-unused as an extra warning flag.
ef3b7a3394 err_info is used, so don't mark it unused.
1dc62c573e pinfo is used, so don't mark it unused.
837c42d264 diameter_3gpp: fix 'pinfo' was marked unused but was used [-Wused-but-marked-unused]
74d39b2aa6 dpnet: fix 'tree' was marked unused but was used [-Wused-but-marked-unused]
af66f17fb4 cfm: fix 'pinfo' was marked unused but was used [-Wused-but-marked-unused]
8d42f0fd09 devicenet: fix  'buf_len' was marked unused but was used [-Wused-but-marked-unused]
f3ba318e09 Lua: fix crash on invalid Dissector.list("food") invocation
22252978a4 nvme: fix wrong encoding for SQ Header Point
9bb96969ba [Automatic update for 2017-08-27]
fb1acc778d Update USBPcap to 1.2.0.3
a08e998ca2 NBAP: Replaced a comment
9cd114fbe5 wiretap: Add WTAP_ENCAP_NORDIC_BLE
50227b0f6e infiniband: fix infiniband: sIP and dIP inside IP CM Private Data are decoded in the wrong order
166d95e7cb FP: Refactored duplicate code
b1a0418983 Fix leaked timestamp records
9ae80aea08 CMake: Package list updates.
659b95765c zbee-zcl: fix parameter 'cluster_id/dir' not found in the function declaration [-Wdocumentation]
29e92fef55 couchbase: update HELLO features
1e2c0ed5ea 802.11: fix display of PMK-KO (R0KH-ID)
4b8fee9da8 infiniband: swap Local CM Response Timeout / Retry Count field
a101aa9d99 btatt: Fix request response arrows
2d1bb2b661 [packet-selfm] - Fix dissection of multiple PDUs in single packet with no Fast Meter config data present.
cf6a3deae4 GTP: fix wrong bitmap for gtp.ext_comm_flags_II_pmtsmi field
b9307c1ac8 nordic_ble: Fix calculating delta time start to start
155ffc993d [BSSGP] Handle Overload msg and code cleanup.
274bbd5fab Extract the "long name" out of the manuf file and use it for some resolution
e624445adf infiniband: fix bitmap for Local CM Response Timeout / Retry Count
9dbfa6a1ea rpc: remove some unnecessary NULL checks
af180cc7d0 Update the AsciiDoc button macro name.
f8ea11ff46 RADIUS: Add comment for RFC 6929 preference
41d94798a9 Docbook: Fix a couple of include paths.
dd83b24f22 BTLE: fix bitmap for link data Hop / Sleep Clock Accuracy
7e21263d0b Update WinSparkle to 0.5.6.
4540195025 extcap: Create unique pipe names for each interface
5574b78dae Fix potential oob write crashes
5c27cb5f83 packet-bgp.c: using wmem_packet_scope() for decode_evpn_nlri_esi
f61c45acf1 Fix a typo.
257f738a0d Use the Wayback Machine for the PDML spec.
b3f6e8cb78 commandline: fix compilation without pcap.
7b44ff084a Qt: fix compilation without pcap.
be69761c78 Fix requesting hardware timestamps without -k
a34445c1cf WSUG+WSDG: Add a typographic conventions section.
aca55a29f7 Add hardware timestamping support
2845f6be8d HTTP2: pass in the media type parameters to the media type dissector
9d27248cdf GSMTAP: Add UMTS RRC message type field
c11ceb3a0d rpc: remove unnecessary NULL check
a0b2a5989d [skinny]: minor changes to xml file
fa390fa8f3 Fix bit depth of color psml and pdml xml attributes
5939c7417d RSVP: Add value_string for ctype session
4afbd656b4 RSVP: fix length of PSMP ID (2 -> 4)
b66bdbd426 More explanation in the comments.
940903c649 Use a Wayback Machine URL for the PPI documentation.
a26fb90729 802.11: Add Neighbor Sublement ID dissection
a03e4ea191 802.11: Update subelement IDs for Neighbor report
61d45acfb5 802.11: Add new flags on BSSID Info in neighbor report field (from 802.11-2016)
ad085e567e 802.11: Add always Data of Subelement (on Neighbor Report)
edc63f5ef7 [Automatic update for 2017-08-20]
1a38472d04 nordic_ble: Preserve legacy version support
50510a670d sharkd: minor changes in comments, fix style.
7a9b9fd136 nordic_ble: Add packet format description
0831becc1a Remove support for CPack.
7981d4bf0e gitlab-ci: add gcc 7.
25631a44ac ZigBee scenes cluster scene valid attribute displaying incorrect bit
9e21f4b8ee WSUG: Update the TCP analysis section.
4f76eb002d RSVP: add Session C-type RSVP_SESSION_TYPE_P2MP_LSP_TUNNEL_IPV6
96dd97f9ba couchbase: update status codes
6020f0f93d WSDG: More VS 2015 fixes
b8fb78c5ac RSVP: fix name of PSMP ID field (SESSION object C-Type 13/14)
581461bb34 TRANSUM fails with DCE-RPC request Packet Type 0
b1a6f11e42 WSDG: Remove obsolete VS 2010 info from quick setup
b62eee0d7f WSDG: Update Qt installation info
e02ca799d9 msdp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
b8c2228321 ws.css: fix invalid color
21672e51e4 WSDG: Reference to an existing Qt version
f76e1c8c84 ZigBee fix Default Response dissection
6726d9e0cd [GSM MAP] Dissect Ext2-QoS-Subscribed, Ext3-QoS-Subscribed and Ext4-QoS-Subscribed
5f52e65500 androiddump: Support 802.11 monitor and nlmon interfaces
e13a81c62a WSDG: More VS 2015 updates.
6e6bcacb72 Fix some comments.
1e659474c9 GTPv2: Fix length of EPS Bearer ID (EBI)
f04cb33494 TLS: Add new cipher suite from draft-ietf-tls-ecdhe-psk-aead
8625c1902d 802.11: Add dissection of BSS Transition candidate List entries
d56de21d6a androiddump: Fix bt snoop capturing
fc6f7b9021 Fix capitalization.
4136bff2d0 CMake: Switch back to shipping README.txt on Windows.
62d6010854 [GTPv2] Add dissection of Message Priority
c4e957b974 Fix build.
7df594c92e Update URL for Visual Studio Community Edition.
e7284adcdf RADIUS: Remove some shortcuts in how we handle Ascend-Data-Filter
71dd3658b7 RADIUS: Add preference to disable RFC 6929 extended attributes
4319b35e2b  RNSAP: Call RANAP dissector for RANAP-RelocationInformation
2f0bd7b1f1 UDP: Bugfix handling UDP checksum of 0.
ff5280906c NBAP over SCTP heuristic dissector
8c89de612f TCAP: fix infinite loop introduced in g35f9349396
88484ab051 Update RFC and I-D references.
f49ae745c1 extcap: use options as they are shown in the dialog.
719adb4fdc Convert README to README.md.
f4ca61220a androiddump: Avoid linktype/encap conversion
bc9bf64f8d Qt: fix compilation without pcap.
35f9349396 TCAP: more fixes for SRT analysis
9f7f401f32 CMake: Remove an unused variable.
01449b849e WSUG: Remove the protocol help section
7ff66471fa Couchbase: Add doc flag support to dissector
e347139d3f ieee802.11: Replace an incorrect fall through with a break.
691bec3c09 ieee80211: fix dpp doesn't match PROTOABBREV of ieee80211
34d3ad990c wifi-dpp: fix dppi.[init|resp].hash doesn't match PROTOABBREV of wifi-dpp
97e0eb3ec6 Makefile.am (dissectors): fix align indent
2c58885e94 ieee80211: fix typo specfic => specific
3298a52943 wifi: fix "multiple definition of wifi_display_ie_handle" linker error
d6eda2a3a3 ieee80211 : Implement Wi-Fi DPP spec
3c0ff67a9c ieee80211: Make a few dissector tables for vendor specific functionality
329cccfc7b packet-ieee80211.c: Add dissector table for vendor specific actions
35a6a1396f iso14443: fix the request-response tracking
f49cc4d952 RADIUS: Initialize vendor attribute type to zero
292708ab32 CMake: allow CMAKE_INSTALL_RPATH to be overridden
84b86bdfa2 Get rid of trailing blanks.
de3a563d66 Clean up configuration file and plugin folder description.
f2a3a705e6 [Automatic update for 2017-08-13]
e871a3ffb4 ZigBee ZCL IAS: decode IAS Zone Enroll Request
aa2117a8f2 Include xtea.[hs] in CMakeLists.txt and Makefile.am
537b083e02 Sync some CMake and Autotools install behaviors.
dc2a2424b4 uma: avoid global variable
6bdd072803 TLS: Add QUIC Transport Parameters
c09538e48c Tools: Check for ASan directly.
fd2777b138 CMake: Make PLUGIN_INSTALL_DIR absolute.
5a0aa773c1 Do not allow -m option to be larger than our allocated buffer
ef24608db1 Link forward to ftp-data from ftp commands
108b9b869b debian: Update symbols
06ab7f5a4e .mailmap: update (of July and Mid-August)
55dd9b16d5 CMake: Update RPATH during installation.
d619a4239e Add QUIC Transport IETF (draft-05) protocol
61eb3f0b75 ua3g: fixed VTA type display for 8018, 8028S and 8008
21cb715dbe SML: fix checksum verification
de2a738cbd Couchbase: Add get error map cmd
8c72e01a31 MTP2: fix checksum verification
f4781f3655 editor_file_dialog (qt/widgets): fix indent (use 4 spaces)
b66b4a96e3 Handle older lz4 versions.
5580b3beb7 debian: Add script for updating shared library package names
c6a23a4b72 ofcs2: fix 'data' was marked unused but was used [-Wused-but-marked-unused]
4d798e62ec obex: fix 'pinfo' was marked unused but was used [-Wused-but-marked-unused]
591d7ec817 openflow (v1): fix 'pinfo/length' was marked unused but was used [-Wused-but-marked-unused]
b6d080a04e pcp: fix 'pinfo' was marked unused but was used [-Wused-but-marked-unused]
b4320e6662 bootp: fix 'pinfo' was marked unused but was used [-Wused-but-marked-unused]
01f2e2b201 We really only need one range_foreach routine.
3bcd0e142a Fix a comment.
ae3fd56b20 Check for errors running the Lua scripts.
6d8f3ddc7c checkAPIs.pl: Don't check prefs.[ch] for duplicate registered variables
aae0f13b7e mrcpv2: fix bug in use of ws_strtou32.
a8b018b71c Bump versions of macOS dependencies
956ebf3719 Support multiple labels with bgp
59e6c62893 io_graph_dialog.cpp: Remove graph_enabled_vs.
8d37cab581 SMTP: show text lines within a PDU fragment.
300be929de dns: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
24f0e6fe8a dns: remove extra semicolon
f5332121ef XFP: use switch for adress_family
1089bdb7d4 checkAPIs.pl: Detect multiple preferences with same variable
e63db3ce0e Rename reentrant range_foreach2 to range_foreach_r
c6963b1c2f debian: Update PO files about debconf templates
b44fb245f5 debian: Use debconf messages instead of "echo" in postinst/postrm
44e117bf73 debian: Make d/copyright machine-readable
2ca4c5d756 Fix lz4 and libssh uninstall.
a0ee5d6e42 Fix -Wdocumentation warning about range_foreach2
5b3e3ee587 Use UAT model for I/O graph
f63b0241c9 Fix SpanDSP build with older versions of Xcode.
4053bde54b Qt: Restrict AA_EnableHighDpiScaling to Windows.
82ef9377fe RADIUS: Minor cleanup
4855ae2950 debian: Update symbols
5d0cf59d06 nsis: Fix typo in installer
d81f907aea debian: Refresh patches
ff7a6305a7 Use proper tab order for "file types" in UAT "table".
4dc835c9c6 -Wcast-align will warn about legitimate code.
98ff0410c8 Minor comment style tweak.
fde17d9ba0 Separate the C-only and C-and-C++ extra compiler options.
a511b71591 Sync up a bit with configure.ac.
9c3899bbf4 Add a comment explaining why ASan and UBSan are involved.
cd7c47e638 Fix setting COMMON_WARN_FLAGS.
b0b874815d debian: Fix typo in d/control
c09f3ed774 Make the services dictionary ordering stable
912542f7be [Automatic update for 2017-08-06]
839032dff8 simple_dialog.cpp: Fix missed Qt version wrapper.
f63b68f707 Further cleanups.
1d457701c5 rsa.c: strerror -> g_strerror
92adb99d00 QT: Add shortcuts for "Follow XXX Stream"
c57da453ba ZigBee: fix OTA File Version bitfield
15c0c8db5e Lua: Check for PseudoHeader.none
4b4ce9fb35 Lua: Fix error message in Dumper:dump()
7dbc022b37 packet-mq: Improve ECapFlag display + CapFlag3 Add new Flag
b9b7389e21 Lines being processed are not null terminated, they're counted.
cdeb6f122a WSDG: Update the Windows docs and add a CMake section.
1cabeea9b8 Fix up indentation.
a25d477fa7 Clean up private key file error reporting.
8d09f2a3ad Don't assume that we have a last_command value in an FTP conversation.
97dcf87a86 SNMP: add support for USM SHA-2 algorithms (RFC 7860)
dc69a8446e CMake: Don't look in WOW6432Node.
f155beb094 Qt: Fixup the welcome screen stylesheet.
ce7b994383 proto.c: fix use of proto_tree_add_text(_valist)_internal() with length = -1
733c19a072 Optimize the "services" dictionary
936a8f1cf8 FTP: track current working directory and show as generated field
e3d0bf0bb2 extcap: skip custom log if filename is space.
f978465fb3 extcap: add debug log file feature to extcap-base.
03f9bd4091 MAC LTE: upgrade dissector to v14.3.0
e4a8c71da8 RLC LTE: update header to reflect the correct version
f524eb4dc1 PDCP LTE: upgrade dissector to v14.3.0
ddb373ecb0 mpeg descriptor: dissect ac3 system a: Respect descriptor length
31dc0310e2 Added AVP definitions for the following AVPs:
1da9d28edc Distribute macos-setup-brew.sh in the source tarball.
0147a74bec Remove trailing white space.
2a17c33928 Move macosx-setup.sh to tools and remove the "x".
c5569cfa0b Note that newer versions of various distributions won't have these problems.
778117c502 macosx-setup.sh doesn't build Qt, it just installs a binary.
e23e28da22 Add bcg729.
25b9d31526 Add SpanDSP to the set of libraries to download and install.
7c5ff646dc Look for Cygwin in one more place.
f24c1564bd Update USBPcap to 1.2.0.2
fb052a637f Use g_build_filename() instead, fix indentation
eeab5f48fe SMB2: Move the blob offset & length fields
81b8d01456 CMS, ESS: regenerate ASN.1 dissectors after g49e920bc21
c79382e69b SNMP: regenerate ASN.1 dissector after g7466880e8a
6893f7a5c7 E212: Check MNC length before trying 3-digits length
4e9085696b CMake: do not check stack size when compiling with ASan or UBSan
6cff9c8da6 Netflow: Reassemble flows spanning multiple PDUs
38b7660eed gprs-llc: Don't attempt to decode Dummy UI Command
c9cb01adbb IrCOMM: check string length before appending it to item
4af5e1a5c3 Don't force people to do a Web search to find the header layout.
4ad98cc3f5 Use proto_tree_add_item_ret_uint().
fe29cb3bb0 Add expert infos for too-long or too-short TLVs.
c254f3a13b GSMTAP: Treat PDTCH identical to PACCH (hand into packet-gsm-rlcmac.c)
990192872d GSMTAP: Proper name for PDTCH (not PDCH)
64b5a38bd9 dns: add missing break
74210f07fd Make the protocol column read-only, too.
7e03e6b4ea Do more checks for extra data at the end of a TLV.
33b95883aa Clean up MSDP dissection.
6f12bf215f Fix copy/pasteo so Qt Model Source is displayed properly in Visual Studio
a1ce51dcb0 Indicate G.729 playback in the release notes
5d3d965645 DNS dissector support for draft-bellis-dnsop-xpf
3e54cabf81 Add G.729 decoding based on bcg729 library
32b446d5a8 Define Q_NULLPTR as NULL if not already defined
28c874da17 Expand Merge file dialog on Windows
ff1bdfa0bc Verify IP checksum even if in ICMP error packet
e3b46bc48a Fix IP Security option dissection
c50945989d DNS: Apply LOC record angle cap
76762d69b5 Windows: fix generation with CMake 3.9.0
f461a3a743 DNS: Fix APL record IPv4 address presentation
168065dad7 Add initial RFC2780 IP Version lookup support
b16d487cbc Modbus: do not trigger an exception before saving pkt_info structure
621ff8e616 MKA: Track offset correctly in Dist. SAK dissection
66fff5df49 Qt: Add preference for show file load time in the status bar
04748779e4 RTPS: Added Secure DDS PID parameter + small fix for endianness
c348f19786 uma: align indent of hf
5db3a263c3 Revert "dis: Dead reckoning others Parameters display in wrong location"
c23a42e6ae ZigBee Green Power : Update according to latest spec
ad0a3834a1 dis: Dead reckoning others Parameters display in wrong location
1c8ec368f0 dis: it is more logic sub_tree2 is the subtree of sub_tree
b8a33b25ac metamako: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
13bd996e8f RTPS: Fixed Secure DDS minor details
cf0870ad21 Qt: Set AA_EnableHighDpiScaling at startup.
a4788324cb dis: proto_tree_add_bitmask return a item (and not a tree)
82e2ad37a0 cmake: add a group target for all extcaps.
4aae9331bc Qt: Add preference for show selected packet number
963707ab3c extcap: add command line debug function to extcap-base.
f86f54eb90 Qt: SimpleDialog fixes and updates.
ea233921b4 PMIPv6: Fix of valid length of GRE Key Option
76a3a6797c EPL: Fix  Multiparamwrite response text
c3a91e51d0 dis: Appearance Record displayed in wrong location
fbc4d83ae7 update diameter dictionary for t6a/t6b/s6t
02e80019f2 Qt: Create models directory
ea998190cf Qt: Fix Makefile.am for utils dir change
ddfc1d37cc Qt: Move utils to separate utils directory
95930c2d1f Add current packet to the status bar.
07d8fad852 WirelessTimeline: move signals out of setPacketList().
b376aa05ea GPRSCDR: decoding of RATType
f50d9fe1d6 Update heuristic dissectors documentation
efbefe2f4c Make hf_mysql_request cover the *entire* request.
9c80c4d5a2 CMake: Don't pass /WX to rc.exe
a62c6d56b1 cmake: remove duplicate libraries from sshdump and ciscodump.
615685e852 VNC: Get Bytes before adding raw values to tree
7fadc16172 EPL: Add padding to size calculation for last frame
c6ed05ec73 Qt: Make SimpleDialog a plain, non-QObject class.
17f72a0b22 randpkt: choose a random type if the empty string has been selected as type.
1e584b8a13 HTTP2: Fix an access invalid memory address error.
be502d221a There's no wka.tmpl file any more, it's just wka.
690cb8ff65 EPL: Add Modular device flag
7a4c9d267b print: use assert before dereference (CID 1412973).
877caf478b GPRSCDR: decoding of ULI in GGSN/SGW/PGW CDRs
8ee06279ff LTE RRC: upgrade dissector to v14.3.0
f2ffcdf3aa Qt: Compile InterfaceToolbar with Qt4
68f295d605 tshark: assert edt before calling print_packet (CID 1405107).
14d94e174a Put the well-known addresses into a separate file from OUIs
88fbc26175 Inhibit unhandled Ctrl key presses being redirected to the display filter
daae7dbb1f RRC: upgrade dissector to v14.3.0
40d158eee3 Have UatFrame send out proper notifications.
4107f6bca7 HTTP2: Fix missing ifdef HAVE_NGHTTP2
04ba4bc070 Fix crash in UDT dissector when long NAK packet is dissected
6dfdb0160c HTTP2: Dissect reassembled http2.data.data according to content-type (as text/html, png, application/grpc and etc) and some enhancement for displays.
921723d075 IEEE 802.15.4: dissector tables for Information Elements
8dd29939ef c-ares isn't required.
28dce11948 Qt RTP: Add the default device and adjust sample rates.
d22b54a005 cql: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
b8b9bbcbd3 *Always* write out the trailing pcapng block total length in host byte order.
3e9b256238 androiddump: check return value of localtime() before dereference (CID 1400829).
9ea364c389 Require at least c-ares 1.5.0 when configuring.
725b7ef175 androiddump: add a cast to please MSVC x64
7799b1ceab Add support for Metamako trailer extensions.
d238160a22 Require c-ares >= 1.5
9e419f62bd Support heuristic sub-dissectors for UDT
ac0af07083 ENIP: Add support for CIP Security Information in ListIdentity
421085cc4c .gitignore: move ui/qt/gitignore to root gitignore
fe8508b8b3 More precise error message.
27c6b12626 AUTHORS: add newline after bracket.
420aab387f androiddump: use actual buffer length instead of pointer sizeof.
55724db3db Remove dead code for address reverse-mapping
543c101d4b DICOM: Add User Identify
3669a8cc8f Give some references.
ab0b3ecf86 CMake: Escape shell command quotes.
9ab8133bf8 Update the release notes.
558fe23226 [IP] Simplify paring of flags field by using proto_tree_add_bitmask_with_flags().
990ac64516 DICOM: Add display of Unknown item type
3e37292c38 Remove line numbers (locations) from .ts files
f26778c9c6 Add udpdump documentation to distribution
5473d2582c Display relative sequence numbers when dissecting UDT.
79e801806a ZigBee: Add touchlink commissioning dissectors.
07f27d8238 Update WinSparkle.
3fa8776a68 dcerpc-pn-io (profinet): fix typo for pn_io.iops display filter
6fdf043e6e X2AP: update version info in header
ee7d2a6010 ZigBee make ZCL Frame Control direction more descriptive
62d5476740 ICMPv6: RA: Add Captive Portal Option (RFC7710)
d0e8b26ee2 AVRCP: fix parsing of Media Player Items
abfa43aa27 IEEE 802.15.4: MPX dissect IEEE 802.11 4WH/GKH with EAPOL dissector
da0ae7e19b ICMPv6: Fix data length for unknown option
0e0c9a1a7a Qt: Don't clobber the itemview hover behavior on Windows.
b92c8a2e56 [Diameter] Add a couple of command codes from IANA.
279a2762dc Extend enterprises.tsv to accept spaces as separators
e46bd2827f ZigBee cleanup minor errors
aec147efa1 LPP: upgrade dissector to v14.2.0
6d025eff1b Do the meta-tag stuff the same way in all three cases.
5fd255424f Revert "Don't byte-swap an 1-byte value."
e934fad638 CQL: Fixes the dissector so PREPARE Results have the Query ID
541b9a9387 Qt: Fix "Filter Button Preferences" shortcut
30f8ceebba Remove unnecessary test.
74a2ae4aba Don't byte-swap an 1-byte value.
d35bb66516 Remove unnecessary test.
8dcb530de6 Copy no more than MAX_ERF_EHDR - 1 additional extension headers.
47c9cf8925 Qt: Simplify some version checks.
2ca2cc16b1 Use time_t for the seconds part of a time stamp.
dc9adf904b .gitignore: Add ignore to moc file on new qt subfolder
fcefe0d20b 802.11: fix SNR Report for 802.11ad is not decoded correctly
d85a688172 ZigBee: Implemented zigbee zcl prepay dissector
44c34ac777 Fix formatting of AUTHORS list, fix Perl warning
30f7014dfc Qt: Expand column preferences text edit fields to column width
4dd48721ee Rename cf_get_comment() to reflect what comment it gets.
cdc01b89bf Rename section comment get/set routines.
f3181f706b ERF_TYPE_META write and comment support
32ec45dc92 Qt: More Main Welcome interface tweaks.
47db24861e GPRSCDR: decoding of GPRS/UMTS QoS-information
1ed38dc2be Qt: Main Welcome hover text color fix.
7f23b51868 Qt: Expand IO Graph text edit fields to column width
d5c8145f54 Qt: Set IO Graph display filter when having Y field
87e7bc811c [Automatic update for 2017-07-16]
d4ae8032ed Qt: add initializers (CID 1162824).
4552933408 bthci-evt: decrement number_of_loops to avoid hang (CID 1399639).
4beb7430d4 Qt: refactor UatTreeView into something reusable
96ac279d98 ssl,dtls: make some fields in RSA keys dialog optional
feb510df69 .mailmap: fix duplicates and regenerate AUTHORS
bdff834631 Qt: show UAT description for header items
659d07f1e6 Ignore .moc.cpp files in ui/qt/widgets.
fd495f7792 Another enterprises -> enterprises.tsv rename.
08e8a1ff1a Fix for building without libpcap and extcap.
569b1d4468 Qt: fix build without libpcap and without extcap
e036f4a282 Qt: Main Welcome behavior tweaks.
76efb096d4 Rename enterprises to enterprises.tsv and ship it.
b992e69c19 Qt: implement saner tab navigation for coloring rules dialog
bc7198e40e Add AMT (Automatic Multicast Tunneling) RFC7450 dissector
2b60ff6316 MP2T: Add video/mp2t media-type
73d9550ad6 vsock: add missing vsockmon header reserved field
41415aa444 vsock: add WTAP_ENCAP_VSOCK constant
ff6b43efde SMB2: add sessionkey table in prefs for decryption
2ff4cd3c16 SIP: Add Status Code 607 (Unwanted)
d9845ca27e [print.c] g_slist_free_full requires #include <wsutil/glib-compat.h>
b0ac5f449d Remove some unneeded includes.
f90a106fa8 [GTPv2] Use proto_tree_add_bitmask_with_flags() for ULI Flags.
a0271d64e5 GTK: add a comment better suiting GCC 7 parsing
9a29b96d2e [GTPv2] Make dissect_gtpv2_uli() external and add more info when calling dissectors for private extensions.
3c3c845f33 S1AP: upgrade dissector to v14.3.0
6335764469 LPPa: upgrade dissector to v14.2.0
8fd97bdecb X2AP: upgrade dissector to v14.3.0
2881689a4a couchbase: fix decoding last lookup spec
0e30322548 M2AP: upgrade dissector to v14.0.0
a6a2da6c4e IEEE 802.15.4: Support the MPX IE defined by IEEE 802.15.9
0d1ea58e31 NAS EPS: upgrade dissector to v14.4.0
aa78d3c79a Correct the dissection of zero-length SSIDs to show them as Wildcard SSIDs as per 802.11 2012 8.4.2.2 SSID Element.
a591436d73 GTK: fix compilation with GCC 7
ee699eb720 Qt: Move all utility widgets to widgets subdirectory
66cc2ed39d IndigoCare iCall: Support for padded packets
354379095d Organize Qt source files for Visual Studio
14308a22e5 QUIC: rename to G(oogle)QUIC
f41a4f5e6f QUIC: like Fbzero dissector check direclty offset_end
5ae49910dd QUIC: move get length packet number to function
ceacc13075 QUIC: directly return len
f36d9e922e Zbee ZCL se: fix typo found by conflict hf
49e920bc21 [x509af] Make CertificateSerialNumber an unsigned integer to handle a 9 byte 64 bit BER encoded unsigned number.
0ba78c947b Ethertype: Add 6LoWPAN Ethertype; register dissector
ed5e7abf4f packet-rsl.c: Adds dissection of Physical Context field.
551309a60e GSMTAP: add LTE RRC message support
dbe50602b0 etypes(.h): fix typo
0961367a32 QUIC: Add new error code (98) about decompression failure
ce04b1cd85 IEEE 802.15.4: Revise Payload IE dissection
9b3c8d4515 Expand register_decode_as_next_proto to include prompt string.
d4d30faeb8 Promote Expert preference UAT to main preference tree.
2483ef02c8 NBAP: fix Coverity CID 1414728
3affd3c905 UMTS FP: Fix access violation in PCH heuristic dissector
7b68744cfd NBAP: Moved all global variables together
36ac2e9588 Fix missing geninfo in PDML export.
36bc2c6da4 3GPP NAS: upgrade dissector to v14.4.0
13b5f42b3b filter_expressions_preferences_frame -> uat_frame
3307939c74 Filter expressions: Rename UAT field to make it more obvious what it does
c2ebb62e7e Don't use uint_to_str_back when you need guint32_to_str_buf.
ffb8bbd372 Add support for dissecting UDT over DTLS
723c76b12c ZigBee: fix ZCL configure reporting response parsing
dd0dff78b3 packet-dcerpc: move auth information into a subtree
e23015e74d TLS13: Add draft 21 support
8869abfcb8 TLS13: Add Ticket nonce
91a49173ee tfs: Add up down
faf33d0d14 packet-dcerpc: improve the dissection of DCERPC Fault pdus
a3b47316eb 6LoWPAN: added dissection for 6LoRH. (RFC8138, RFC8025)
474f344df7 QUIC: fix comment (use /* */ like other)
355256a9ed QUIC: fix indent
f7fef949e7 ieee80211: disable wireless timeline by default
c4c4c44a21 BGP: fix incorrect decoding COMMUNITIES whose length is larger than 255
9c29f73872 (G)QUIC: Add Heuristic to detect Google QUIC flow
bdd0965820 Qt: replace zoom buttons by wheel zoom in Wireless Timeline
9830b7b261 androiddump: Reduce code duplication
7bacf534d8 Qt: Set tooltip on ByteViewTab
a7a66a1890 UMTS FP: Set missing sub-frame
993542685b GSM A GM: add APN rate control parameters elements in the right tree
9d909b22fc GSM A GM: fix dissection of AER bit
635d9906af Fbzero: fix indent
e411dde969 Fbzero: use captured_length for avoid exception when executing the heuristic check
564519e57a Ensure expert info fields have a summary.
a2fe8be603 Qt: Add convenience function and cleanup
a70df2ce4c NBAP: please checkAPIs.pl script
05b028abde travis: fix build with osx (macOS)
b1c993df0f xtea[.ch] (wsutil): Add Modelines info
c5f296562f iface_lists: do not drop named pipes from interfaces list
9ff673d3e8 UMTS RLC: check rlc_channel_assign return value when searching duplicates
02f66afd64 UMTS FP: do not try to compute CRC on payload when no payload is present
a45ed8a222 RLC LTE: fix dissection of NB-IoT PDUs
365c831247 LTE RRC: upgrade dissector to v13.6.1
3bd9f8c6aa .mailmap: update (of June)
bb470c9067 NBAP: improve conversation management
367effa93c CMake: Fix eclipse indexer
0612af8deb UI: Fix preference utils store helper
c5e1e61fb0 Updates to UDT dissector formatting. Includes . Better/consistent formatting of summary in COL_INFO and details . Fixes to properly identify protocol messages . Decoding NAK message in summary
b8af91af64 Qt: try harder to sort packet list columns as number
478c496d2f l2cap: Show initial credits in Info column
7897f04fde btle: Add item for the generated l2cap index
b6571a0701 [UMTS RLC] Allow multiple payloads in INFO column
caa06ddeab Replace and remove enterprises_lookup_format()
1aa8ded9a3 ieee802154: support 6top protocol (6P) draft-07
b6f36e95fa mate_grammar(lemon): fix this statement may fall through [-Werror=implicit-fallthrough] found by gcc7
3803e00367 Add option to use wall-clock intervals
2c58ed569e ieee802154: fix a bug preventing Payload Terminate IE dissection
faed12e6ff ZigBee: Add attribute and command names from Price used with GBCS
e47b68b578 ospf: workaround Opaque Information with bad TLV
f9fd438b6d androiddump: Close socket on failure path
91e512985f androiddump: Fix null dereference if linktype not found
b3453b9be4 androiddump: Fix leaked linktype string
ec1a5b1545 iface_lists: select interfaces via command line (option -i)
d30887d289 ospf: update LSA Option Types
ee6a687f52 ZigBee: Add remaining command names from Metering cluster
4ff7336209 ZigBee: Add attribute and command names from Calendar cluster
9d3e0f7bde ZigBee: Add remaining command names from Prepayment cluster
e335636303 btle: Improve reassembly when missing packets
95e09a60bb btle: Support reassembly in both directions
1c7e393af3 extcap: another round of memory leak fixes
2474465397 dumpcap: fix minor memory leak at begin of capture
8f8a0f72b4 dumpcap: fix buffer overflow on packets larger than 2048 bytes
5809535910 NAS EPS: upgrade dissector to v13.10.0
1f44007dd3 Added General Notification Message opcode to CFM
3c4e7428d7 sccp: build the "association tree" earlier
245bddee6b sccp: build associations on IT messages, too
8cee782474 Support AECP vendor unique command and response messages.
dbcf160c38 btle: Reorder elements in Packet Header and Data Header
5e98c11241 btl2cap: Cleanup indent and spacing
d4c8b27d13 S1AP: upgrade dissector to v13.6.0
7460e6c9ec X2AP: upgrade dissector to v13.7.0
c27ffaff6d LTE RRC: upgrade dissector to v13.6.0
563eef4230 e212: report an expert info on malformed imsi
f48305069c  FP: Combining heuristic dissectors
5c25e7442f x11: Make a tmp variable volatile
064e34b215 androiddump: Fix printf format for size_t
8020be30fd Qt: Drag/Drop Filter buttons to order
9731b50bc5 Qt: Change wording of filter button context menu
a8ec8a3a6b Windows: update c-ares to v1.13.0 and zlib to v1.2.11
96c8c83086 IEEE 802.15.4: Whitespace and small comment cleanups
e0a9192ebc Don't worry about initializing auto aggregates with non-constant values.
7321df2a45 Fix the "don't initialize with non-constant variables" item.
6bc0ba8451 Qt: fix alloc-dealloc-mismatch while adding named pipe
381fd410cb IEEE 802.15.4: Support for CSL Header IE
5997e8e198 WiX: More merge module fixups.
a6652a2778 CMake: Fix the WiX search path.
1426c44281 Qt: Context menu for toolbar filter buttons
6bd87bdd5d dcerpc: improve greatly the speed of processing of DCERPC packets
564445f799 androiddump: Support packet capture on any interface that is up
129a84df60 androiddump: Use Android tcpdump reported data link type
6af6ba5611 IEEE 802.15.4: Overhaul Header IE dissection
f27699c746 The 3rd argument to recv() is an int on Windows.
e61d2f6243 On UN*X, make sure we can find inflate() in libz.
d84da1eb97 androiddump: Let adb_send funcs generate string length prefix
9a1d16b553 Don't check for inflatePrime() on Windows.
4eacd57690 Fix make-dist target
7466880e8a Parse enterprise-numbers at run time
3071f9dd74 lz4 doesn't support "make distclean", so don't use it.
71a9ade669 PDCP LTE: fix dissection of Polling bit for User plane Data PDU with 18 bits SN
680d1df7a0 Fix Filter Tooltip button and frame
707b789074 androiddump: Add helper functions for data link type conversions
faf100ecc5 androiddump: Introduce adb_connect_transport helper function
66507b9052 [RFC]androiddump: Only filter CR/LFs on Windows
7ecea31581 Change display filter button tooltip formatting.
8d214209e8 cmake: fix SET_FEATURE_INFO deprecation warning
aefd4e1844 Fix Packet Lengths statistics count
5c60b517a7 Add support for comments for a display filter button
1b7f5d9f79 Convert filter expressions preference data to a UAT.
395775acce Sample deprecated filter -> Sample warning filter
80d3483f34 Fix Y.1711 endianness
5f7902d165 [Automatic update for 2017-06-25]
74b1268a5c USB CCID: use register_decode_as_next_proto()
f7952b30c7 decode_as: replace DISSECTOR_ASSERT() with g_assert()
1620c45e03 simplified Decode As entry if the next protocol requires manual selection
bb20b159f3 addr_types: replace DISSECTOR_ASSERT() with g_assert()
d8710f4aa4 USB CCID: register obosolete preference
69bac0d15c tcp: add tcp.payload field
0727123773 OSPF: fix Opaque LSA Type 11 is considered as unknown
8a3e465067 Snort content matching fixes
082e3e346f USB CCID: use Decode As to select the payload protocol
635b3720b5 Add dftest to Windows installer.
7d1049d326 nvme: add NVMe Data responses (via RDMA)
66c2f5b5f1 Properly find packet comments "field" for protocol hierarchy stats.
23c7d5f4e7 dns: Put request/response tracking last in the tree
880c2aa04f SSH: Add port 29418 (Gerrit)
ba2478845c HTTP2: Fix compilation without HAVE_NGHTTP2.
7d67af661a Make "matches" case-insensitive.
07f576ffeb Add --no-duplicate-keys tshark option.
2954a69d7d sbc-ap: Dissect several IEs
f24ffb0bcd http2: reassemble entity bodies in data frames
cfb23d8743 E.212: update list to Operational Bulletin No. 1126 (15.VI.2017)
578f2a15bb Qt: Restore multi custom column width and align
130b514be2 packet-mbtcp - Fix retrieval of Holding/Input Register Format Preference
3b5c88ea4b wsutil: Back out profile_write_info_file
9a87f80f09 gsm_cbs: sabp: Display Unicode messages
123d170767 OSPF: Opaque ID is not longer be zero
0510954a8b ssl: detect SSL 2.0 compatible Client Hello
d2ed7fcf9e IEC104: Added checking of correct ApduLen in context of ASDU type
29e726a606 Add support for "bool" and "display filter" types for UATs.
9fe90b93ce Add notes about predefined strings not available to plugins
44aa08d025 tcp: always display next seq number
d25c33cc0b macosx-setup.sh: Skip downloading GMP if downloaded before
b370c02a02 TCP: Make the header length display consistent with IPv4.
7af770dfa7 wsutil: Return error from profile_write_info_file
a9c2697714 Add WTAP_ENCAP_3MB_ETHERNET for Xerox 3MB Ethernet.
e46cb2defc MQ: put declaration before code
59add43eec Lua: Add "tonumber" method to NSTime
16f70b9bb1 Qt: fix sorting of custom columns with multiple fields
6117ff496b wsutil: Check return from ws_write
6e0bc30a95 wsutil: Ignore return from ws_write
ee694cda7c ftp-data: track setup frame, method and command from ftp
536451a8de [sipstat] Update the Response Codes table.
b44ad2a0fa Qt: display newlines in capture file comments
48a6487116 [filesystem.c] Add a cast to aviod a warning with VisualStudio 2017.
99c3c6d908 wsutil: Free files in reset_default_profile
a14ef98540 Qt: Write a list of profile files at startup
d60d2c8ca2 http: fix handling of HTTP responses followed by proxy responses
855484fbd9 ISIS LSP: fix wrong bitmask for SPVID
64a78e122a GSM SIM: define a dissector for both request and response
050da44742 tcp: Change the wording to include (s)
7e2c67eaf3 cmake: allow building from a UNC source directory
230c96a593 USB CCID: unify the code to call subdissectors
4deb97f31f Fix filter for "Next Packet in Conversation"
e6883c15ac IP: ensure that fragment contains payload before adding it for reassembly
3b7440996b packet-xml: Add 3GPP, ETSI, GSMA and OMA media types
6b9b4bd968 Fix Toggle indicator for search
75f9247c2c Qt: Rename "Filter Expressions" to "Filter Buttons"
4f1053c546 Qt: Create the user profiles dir at startup
c919c62502 Manuf: Konica Minolta updates.
c9c9d558b2 IPv4/IPv6 display filter fixes and testing
23e667169e IEEE 802.11: Use correct mask for 'SMK message'
4d90f2e092 Qt: make Wireless Timeline a separate item
3978462fd3 ieee80211-radio: allow 0 duration and handle missing phy type
59670461b0 GTPv2: put dissection under GTPv2 protocol item
187137a373 mq: start removing some if (tree) checks
be4dbf840b Qt: Turn off auto scroll when going to a packet
4e46352657 Don't scroll back to the selected frame when we get name resolution updates.
2de483c092 AMQP: workaround some proto_tree_add_none_format() asserts
59f15b2a3a mq: don't THROW() an exception from a dissector
0dada943c0 RLC: Renamed U-RNTI to UE ID
bef90e1493 Update the capture file load time each time we update the progress bar.
246cbbc2ea AMQP: fix a stack overflow when offset goes back and forth
bb58b3a264 MQ: check fragment length before trying to perform reassembly
2900705174 X11: more sanity checks for BIG-REQUESTS messages
fbfb87a243 PROFINET IO: define an arbitrary recursion depth limit
051921854d Register for SFLOW_245_HEADER_FDDI.
82fc557bed DAAP: define an arbitrary recursion depth limit
583c250467 Qt: Flush signals when disable protocols
d83176ed2e SearchBar - Focus on shortcut instead of closing
193cef0bcb Attempt to clean up addr_resolv flags by removing DUMMY_ADDRESS_ENTRY
6ecd6b8164 Remove unnecessary volatile qualifiers
d85db24ce5 FP: Fix out of bounds error in heuristic PCH dissector
31ffb58eb0 [UMTS RLC] Rename proto variable
9634710cdb zbee-zcl-se: Implemented zigbee zcl se metering dissector
d19c3a22b9 Misc snort fixes.
d386a6cfb1 Added IPv4 byte slicing
e9e1b48162 Put the definition of BIT_SWAPPED_MAC_ADDRS in the file where it's used.
547b08b495 Register for WTAP_ENCAP_FDDI.
66c50585e5 OpenSafety: sanity check calculated length.
1247693a99 [Automatic update for 2017-06-18]
55f8799c68 And use RVALS for connection_abort_reasons, as it's a range_string.
c2307d0fe3 Flag field using a range_string with BASE_RANGE_STRING.
1a7f9b957f Revert "Temporary debugging hack, the sequel - fewer printouts, flush before crash."
fa3aa67817 Temporary debugging hack, the sequel - fewer printouts, flush before crash.
e77817cc92 Revert "Temporary hack to try to debug tshark -G values crash on 32-bit Windows."
573a4c9cd5 Temporary hack to try to debug tshark -G values crash on 32-bit Windows.
4370054431 Clean up whitespace.
57fece13e0 Expose RTPS dissector for Lua.
c89f4c628c WiX: Fixup merge module configuration.
8775b0b1b2 [UMTS RLC] Renaming dissector files to fit FP/MAC
553b1e0215 Do not process UI events while reading from live capture
800a856fb4 Qt: fix hang on exiting Qt while loading capture file
6462560b30 smpp: don't THROW() an exception from a dissector
b2fa26ff7a PIM: Add identification of Hello option 65004
ff5ff79c83 Note that we should probably support most if not all Ethertypes.
e2efa82811 Handle CMD over GRE.
6cc5655e27 MTP2: Add expert_info warning for incorrect length indicator
85e2a54703 gsm_sms: decode UCS2 as UTF-16
454b5aeddf IEEE 802.15.4: Enable decryption and decode new aux header fields for v2015
6f100a3df9 Fix JSON UTF-8 character validation and dissection
8b99bb7fbf Have two separate routines for wlantap dissection - OCTO and pre-OCTO.
8ab033a283 Further cleanup.
d217b757cb Clean up the 802.11 payload handling a bit.
573490f5c0 GSM A DTAP: update UE test loop modes
435c68cd2b Fix SURROGATE_VALUE() to match what RFC 2781 says.
a0dfbccdfc Rename FindOS_X_FRAMEWORKS.cmake for the new OS name.
5039d0e576 Change some names to reflect Apple's new UNIX-for-Macs name.
63b91ad311 Rename a routine to match the OS name.
2e497e105f RADIUS: Add dictionary support for format= with BEGIN-VENDOR
7c28d26d71 Refactor JSON output functions
d01e9df472 Put the {un}install_XXX() definitions in the right order.
2486b7e8fa Move libgcrypt and libgpg-error to the set of required libraries.
0ad7607478 Update to newer versions of libgcrypt and GnuTLS.
1d657acf2d gsm-a, nas-eps: enhance handling of missing mandatory i.e.
b62346b304 Add a comment indicating what releasw we're testring for.
ee0dde474c Make the short names for USB encspsulation types more regular.
6f8bc61c33 Better names for various USB headers.
2a5cb8e32e Miscellaneous texual corrections and addition
828e1f07a8 udpdump.c: Don't include epan headers.
552dab08a6 packet-btrfcomm.c: Prevent over bit shift in get_le_multi_byte_value.
acb488b7f4 packet-x11.c: Sanity check BIG-REQUEST length
01fe854fa0 TCP Analysis: Update the spurious retransmission check.
86fceac9ad infiniband: add RETH remote key to infinibandinfo struct
9ed4046e0f RADIUS: Fix dissection for non-default VSA lengths
ae085f7338 IEEE 802.15.4: Fix IE/MIC handling of secured packets without payload
4753463456 packet-lorawan.c: get_encryption_keys_app_eui must be included in GCRYPT_VERSION_NUMBER check
d45f6661d7 [tap-rtp-common] Add EVS to mimetype_and_clock_map
614a97c5cd LoRaWAN: Use proto_tree_add_checksum for MIC verification
26a6881014 DOCSIS: Prevent infinite loop from unknown FCParm.
50fa2d9583 WBXML: Fix some more potential infinite loops.
cea298a597 SMB2: Improve FILE_ALL_INFORMATION query response.
d0520f81d1 RADIUS: Add comment explaining WiMAX non-standard VSA format
9c86ec08aa Don't use frame_length at all if we don't have libgcrypt >= 1.6.0 and encryption keys.
f3267f17a3 Fix automatic name resolution not saved to NRB
ec4ba8b275 time() is a system routine; don't call a variable by that name.
927f5cdc7e [MEGACO] Add tman/sdr as an integer with a unit string.
d7f2a2b1e0 file-pcapng: fix capture filter dissection
6e3c8c8318 Fix isobus-vt warning when compiling using checkhf-conflicts.
256358c0e8 fixed integer overflow in zigbee timestamp conversion
42a27355ee Add support for dissecting FIND responses of FileIdFullDirectoryInfo type.
d8f2bc776a ssl: fix duplicate heuristics dissector registration
73bed8c209 Improve the HTTP2 dissector by not inserting empty padding, which looks ugly.
9dc4d271cd Fix the display of the IPv4 Hash Table in Resolved Addresses Dialog QT UI
61fda41a97 Don't assume we have the libgcrypt MAC functions.
5fd35d115f ieee802154: fix parameter 'p_inf_elem_tree_mlme' not found in the function declaration [-Wdocumentation]
76c7f26622 EPL (profiler parser): fix redundant redeclaration of ‘epl_wmem_iarray_is_empty/sorted’ [-Wredundant-decls]
68c0b8311c EPL: fix redundant redeclaration of ‘epl_profile_uat_fld_fileopen_check_cb’ [-Wredundant-decls]
b871da0f90 Add ISOBUS dissector to release notes.
b8e660edc6 IEEE 802.15.4: Fix double offset increment for Time Correction Header IE
6b09377285 Extract errno value_strings from usb code
e815bbb2e6 ssl: add heuristics to detect SSL/TLS on non-standard TCP port
ac20605634 print_stream.c: Fix compile error on Windows regression
8c316f3b98 Dissector for LoRaWAN
9d2f07e316 Add isobus dissector
585d17ae7f Add support for color xml attributes in psml and pdml formats.
f4dd096afb Add a big comment about the ISO 8613-6/T.416 SGR support.
0813fccb08 netflow: fix typo adresses => addresses
d4e51deadb address(.h): fix typo adresses => addresses
f4d14368e2 Ranap: improve heuristic algorithm
9f4671f674 Don't colorize a line if we have no color filter.
e0a9603b24 print.c: Remove unused hf_ variables
2073457ab9 Fix airpdcap compilation on Sun
2be411a215 tshark: add "--color" option emulating wireshark colors
affa6f18c8 print_stream: add a new print_line_color() method
5617527ee3 packet-spdy: Fix -Wunused-const-variable error when compiling without zlib
de92c4e8d5 nvme: add dissection for nvme identify command
1cf57230b7 [Automatic update for 2017-06-11]
4edc611526 Windows: increase minimum CMake version to 3.7
0dc32776d0 Simplify the search for HTMLHelp.
6d91721390 ECDSA+DSA SHA2 algorithm OIDs added to PKCS1 dissector
12e8e6dcc0 Resync some ASN.1 dissectors.
b01c85c17a Fix indentation.
0480a0be81 Put the non-filter part of epan/color_filters.h into wsutil/color.h.
25777d0986 Fix weird comment.
60da2c96dd Just print the string color_filters_init() provides on an error.
ad4e81fcf8 Handle filter open and read errors better.
ed7e9c77db Add URL for link specifying D-Bus maximum message length.
9f0d22bdd1 NSIS: Add support for Visual Studio 2017.
c47c66cb0b Add BGP dissector support for draft-ietf-idr-bgp-prefix-sid-05
8795a2fff1 802.15.4: Improved ZBOSS header dissection.
33456f48ac ieee80211-radio: Fix calculation of frame start time
6a16f158c8 CMake: Look for Python in more places.
49a55b9666 IEEE 802.15.4: fix dissection of Enhanced Beacon Filter IE
b347ce62c9 sharkd: fix a shadow warning when compiling on RHEL/CentOS 6.x
ce93b4d178 packet-lapd.c: Replace heuristic UDP dissector with "deterministic" one with prefs.
7cd552b5e0 GTPv2: Added decoding of Serving PLMN Rate Control and Counter IE
1bec193211 X11: Add support for the BIG-REQUESTS extension
2d7d10ad1a epl: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
3453a0b888 LTE RRC: fix filtering of q-RxLevMin parameter
35944ddcfb FP: Prevent UE ID overriding in dissection
fce2f2bb1f CMake: Add local copy of FindHTMLHelp.cmake
a84fa8e882 GTPv2: Add CIOT flag into Node Features
411a5342c5 export-smb2-objects: Make sure tap be called for named pipe
492da63082 ftp-data: treat \r\n as printable.  Also show number of lines in text lines
bd13076643 wsmp: read the message length as big endian
07212bf95c radiotap: no expert info under if (tree) please
23a2f56b0f ieee80211-radio: Fix description of packet start and end time fields
f5dd12d71e WiX: Switch to Visual Studio 2015.
8aa84c630e epl: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
be8a91b9bd FP: Comments fixes
831828878d epl: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
f22c620abe rsl: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
e82fa761d6 RANAP: prevent heuristic dissector from adding info to tree or triggering exception
5598faa342 CoAP: added new TLV code 11542 according to changes in LwM2M OMA Spec.
f1496b6dff Qt: Wireless Timeline improvements
34a6b71342 MIP: Add decoding of Mobile Network Extensions (RFC5177)
26eb40cf3b umts_fp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
8e738bad90 CQL: add an expert info when a list count is negative
0677165574 ieee80211: Explain TSF in wlan_radio.timestamp blurb
4291968f2a profinet: use proto_tree_add_item_ret_(u)int directly
9cfdece0c1 [Ranap] Heuristic: update to the current highest ProcedureCode id
dea13b3cac profinet: use proto_tree_add_item_ret_(u)int
dd52b16537 epl: fix code will never be executed [-Wunreachable-code]
a5a4a0bd55 epl: fix no previous prototype for function 'profile_load' [-Wmissing-prototypes]
ba86dc303d netflow/cflow: fix hf conflict
756d609947 FP - Resolve U-RNTI for HS-DSCH & E-DCH
d66b4a369a FP - Fix missing TFI bitmask
874f8ade9c epl (profiler-parser): fix parameter 'cmp/allocator' not found in the function declaration [-Wdocumentation]
844c7863a3 rsa.h: include <stdio.h>
67acb5b17c FP - Added "Missing PI bitmap" warning
b5abc764fb ssl-utils: Build with -Wshorten-64-to-32
e8e5ab4957 Cleanup DRDA dissector
502cc61711 Move RSA key loading and decryption functions to wsutil
1b228df643 FP - Code clean up and comments updates
eb15222af2 Qt: Build wireless_timeline.cpp with -Wshorten-64-to-32
345046c83d wsutil: Add XTEA block cipher
027aae1cd3 Revert "More 2.4 initialization."
c60a6580c9 More 2.4 initialization.
e77b7a167d asterix: add a link to the specifications
795077b3ea [Bssmap] Fix and improve dissection
21305e9835 Add a timeline view for packets, with the timing data used to generate the display taken from the timing analysis done in the wlan_radio dissector. QT only.
d0865fd619 Allow bigger snapshot lengths for D-Bus captures.
17965f57f1 [TDS] Convert to using tcp_dissect_pdus.
d73fdc7079 Remove "length only" check for dissectors that use tcp_dissect_pdus.
aabb8fd594 Add DCE/RPC over TCP dissector to "force" DCE/RPC when heuristics fail
b58e23846e Allocate the pipe capture data buffer upfront.
6d29f50d61 GSM A DTAP: fix detection of missing first mandatory element
88cf898c44 [SGsAP] Fix Release-Request msg
55d0adf689 profinet dcp: simplify dissect_PNDCP_Suboption_Manuf()
9ba786fba3 profinet dcp: don't THROW() an exception from a dissector
2c89cd4bde profinet: remove unnecessary if(tree) checks
916f1a6cf0 [Automatic update for 2017-06-04]
b70a2370c1 Allocate a buffer in cap_pipe_dispatch(), not in capture_loop_dispatch().
0c166f947e Bugfix GTK Decode As
2ba951b984 capture-pcap-util.c: fix a typo
94847961cb LoRaTap DLT and dissector
314a9f217d Clean Release Notes
30c86f8b34 Don't keep the pcap/pcapng link-layer header type as interface data.
69ed5d5841 Get rid of #if 0'd out include.
eaecf02aed Fix typo.
2814e3c9cd If has_snaplen isn't set, don't set the snapshot length with pcap_create()/pcap_activate().
8e1cd0453c Update libwireshark0.symbols file
0c5c2a393c packet-gsm_a_rr: add missing ie in Paging Response message
166f920836 Use data-text-lines dissector for text based ftp data
6216e576fc .mailmap: update (of May)
c508932a60 RADIUS: Fix gda9363e202
ae409ed545 Pass the file type, not the frame type, to cfile_dump_open_failure_message().
a27a308fcc netflow: use BASE_UNIT_STRING (units_seconds, units_microseconds)
b932b719eb netflow: ntop information elements update, added all missing items exported by nProbe.
